------------------------------------------------------------
-- VHDL IIR_engine_52
-- 2016 5 5 8 48 35
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL IIR_engine_52
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity IIR_engine_52 Is
  port
  (
    C    : In    STD_LOGIC_VECTOR(17 DOWNTO 0);              -- ObjectKind=Port|PrimaryId=C[17..0]
    CLK  : In    STD_LOGIC;                                  -- ObjectKind=Port|PrimaryId=CLK
    COEF : In    STD_LOGIC_VECTOR(17 DOWNTO 0);              -- ObjectKind=Port|PrimaryId=COEF[17..0]
    FIL  : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);              -- ObjectKind=Port|PrimaryId=FIL[31..0]
    HT   : In    STD_LOGIC;                                  -- ObjectKind=Port|PrimaryId=HT
    I    : In    STD_LOGIC_VECTOR(31 DOWNTO 0);              -- ObjectKind=Port|PrimaryId=I[31..0]
    IOLD : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);              -- ObjectKind=Port|PrimaryId=IOLD[31..0]
    IOVF : In    STD_LOGIC;                                  -- ObjectKind=Port|PrimaryId=IOVF
    OVF  : Out   STD_LOGIC;                                  -- ObjectKind=Port|PrimaryId=OVF
    RST  : In    STD_LOGIC                                   -- ObjectKind=Port|PrimaryId=RST
  );
  attribute MacroCell : boolean;

End IIR_engine_52;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of IIR_engine_52 Is
   Component Accumulator_52                                  -- ObjectKind=Sheet Symbol|PrimaryId=Sum
      port
      (
        a   : in  STD_LOGIC_VECTOR(63 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-a[63..0]
        b   : out STD_LOGIC_VECTOR(63 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-b[63..0]
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-CE
        CLK : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-CLK
        L   : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-L
        p   : in  STD_LOGIC_VECTOR(63 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-p[63..0]
        R   : in  STD_LOGIC                                  -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-R
      );
   End Component;

   Component AND2                                            -- ObjectKind=Part|PrimaryId=U_BIQUAD52_RST|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_RST-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_RST-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_RST-O
      );
   End Component;

   Component BarrelShifter2_52                               -- ObjectKind=Sheet Symbol|PrimaryId=Scaling
      port
      (
        a   : in  STD_LOGIC_VECTOR(63 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=BarrelShifter2_52.Vhd-a[63..0]
        b   : out STD_LOGIC_VECTOR(63 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=BarrelShifter2_52.Vhd-b[63..0]
        sel : in  STD_LOGIC_VECTOR(2 downto 0)               -- ObjectKind=Sheet Entry|PrimaryId=BarrelShifter2_52.Vhd-sel[2..0]
      );
   End Component;

   Component MulShifter_52                                   -- ObjectKind=Sheet Symbol|PrimaryId=MultiplierShift
      port
      (
        a   : in  STD_LOGIC_VECTOR(35 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=MulShifter_52.Vhd-a[35..0]
        b   : out STD_LOGIC_VECTOR(63 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=MulShifter_52.Vhd-b[63..0]
        CLK : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=MulShifter_52.Vhd-CLK
        sel : in  STD_LOGIC_VECTOR(1 downto 0)               -- ObjectKind=Sheet Entry|PrimaryId=MulShifter_52.Vhd-sel[1..0]
      );
   End Component;

   Component MULT18X18S                                      -- ObjectKind=Part|PrimaryId=U_BIQUAD52_MUL|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(17 downto 0);              -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-A[17..0]
        B  : in  STD_LOGIC_VECTOR(17 downto 0);              -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-B[17..0]
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-CE
        P  : out STD_LOGIC_VECTOR(35 downto 0);              -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-P[35..0]
        R  : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-R
      );
   End Component;

   Component Mux2Reg18_52                                    -- ObjectKind=Sheet Symbol|PrimaryId=InputMux
      port
      (
        a   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-a[31..0]
        b   : out STD_LOGIC_VECTOR(17 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-b[17..0]
        CLK : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-CLK
        h   : in  STD_LOGIC_VECTOR(17 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-h[17..0]
        old : out STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-old[31..0]
        RE  : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-RE
        SEL : in  STD_LOGIC_VECTOR(1 downto 0)               -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-SEL[1..0]
      );
   End Component;

   Component OverflowDetect_52                               -- ObjectKind=Sheet Symbol|PrimaryId=Overflow
      port
      (
        a    : in  STD_LOGIC_VECTOR(63 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=OverflowDetect_52.Vhd-a[63..0]
        b    : out STD_LOGIC_VECTOR(51 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=OverflowDetect_52.Vhd-b[51..0]
        IOVF : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=OverflowDetect_52.Vhd-IOVF
        OVF  : out STD_LOGIC                                 -- ObjectKind=Sheet Entry|PrimaryId=OverflowDetect_52.Vhd-OVF
      );
   End Component;

   Component Reg3                                            -- ObjectKind=Sheet Symbol|PrimaryId=ShiftDelay1
      port
      (
        a   : in  STD_LOGIC_VECTOR(2 downto 0);              -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-a[2..0]
        b   : out STD_LOGIC_VECTOR(2 downto 0);              -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-b[2..0]
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-CE
        CLK : in  STD_LOGIC                                  -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-CLK
      );
   End Component;

   Component Reg18                                           -- ObjectKind=Sheet Symbol|PrimaryId=CoefficientReg
      port
      (
        a   : in  STD_LOGIC_VECTOR(17 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Reg18.Vhd-a[17..0]
        b   : out STD_LOGIC_VECTOR(17 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Reg18.Vhd-b[17..0]
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Reg18.Vhd-CE
        CLK : in  STD_LOGIC                                  -- ObjectKind=Sheet Entry|PrimaryId=Reg18.Vhd-CLK
      );
   End Component;

   Component Reg32                                           -- ObjectKind=Sheet Symbol|PrimaryId=OutputRegister
      port
      (
        a   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Reg32.Vhd-a[31..0]
        b   : out STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Reg32.Vhd-b[31..0]
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Reg32.Vhd-CE
        CLK : in  STD_LOGIC                                  -- ObjectKind=Sheet Entry|PrimaryId=Reg32.Vhd-CLK
      );
   End Component;

   Component Reg52_52                                        -- ObjectKind=Sheet Symbol|PrimaryId=Reg52
      port
      (
        a   : in  STD_LOGIC_VECTOR(51 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-a[51..0]
        b   : out STD_LOGIC_VECTOR(51 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-b[51..0]
        CLK : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-CLK
        EN  : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-EN
        RST : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-RST
        WE  : out STD_LOGIC                                  -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-WE
      );
   End Component;

   Component SmallHistoryFile_52                             -- ObjectKind=Sheet Symbol|PrimaryId=HistoryMemory
      port
      (
        A   : in  STD_LOGIC_VECTOR(4 downto 0);              -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-A[4..0]
        b   : out STD_LOGIC_VECTOR(17 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-b[17..0]
        CLK : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-CLK
        d   : in  STD_LOGIC_VECTOR(51 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-d[51..0]
        HT  : in  STD_LOGIC;                                 -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-HT
        W   : in  STD_LOGIC                                  -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-W
      );
   End Component;


    Signal NamedSignal_C                         : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=C[17..0]
    Signal NamedSignal_HA                        : STD_LOGIC_VECTOR(4 downto 0); -- ObjectKind=Net|PrimaryId=HA[4..0]
    Signal NamedSignal_ISEL                      : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=ISEL[1..0]
    Signal NamedSignal_JoinA_IIR_engine_52_JB_C1 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=a
    Signal NamedSignal_JoinB_IIR_engine_52_JB_C1 : STD_LOGIC_VECTOR(51 downto 0); -- ObjectKind=Net|PrimaryId=b
    Signal NamedSignal_JoinB_IIR_engine_52_JB_C5 : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=NetU_BIQUAD52_MUL_A[17..0]
    Signal NamedSignal_MSEL                      : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=MSEL[1..0]
    Signal NamedSignal_SSEL                      : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=SSEL[2..0]
    Signal PinSignal_CoefficientReg_b            : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=NetU_BIQUAD52_MUL_A[17..0]
    Signal PinSignal_HistoryMemory_b             : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=b
    Signal PinSignal_InputMux_b                  : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=NetU_BIQUAD52_MUL_B[17..0]
    Signal PinSignal_InputMux_old                : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=IOLD[31..0]
    Signal PinSignal_MultiplierShift_b           : STD_LOGIC_VECTOR(63 downto 0); -- ObjectKind=Net|PrimaryId=b
    Signal PinSignal_OutputRegister_b            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=FIL[31..0]
    Signal PinSignal_Overflow_b                  : STD_LOGIC_VECTOR(51 downto 0); -- ObjectKind=Net|PrimaryId=b
    Signal PinSignal_Overflow_OVF                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OVF
    Signal PinSignal_Reg52_b                     : STD_LOGIC_VECTOR(51 downto 0); -- ObjectKind=Net|PrimaryId=d
    Signal PinSignal_Reg52_WE                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=W
    Signal PinSignal_Scaling_b                   : STD_LOGIC_VECTOR(63 downto 0); -- ObjectKind=Net|PrimaryId=b
    Signal PinSignal_ShiftDelay1_b               : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=b
    Signal PinSignal_ShiftDelay2_b               : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=sel
    Signal PinSignal_Sum_b                       : STD_LOGIC_VECTOR(63 downto 0); -- ObjectKind=Net|PrimaryId=a
    Signal PinSignal_U_BIQUAD52_MUL_P            : STD_LOGIC_VECTOR(35 downto 0); -- ObjectKind=Net|PrimaryId=NetU_BIQUAD52_MUL_P[35..0]
    Signal PinSignal_U_BIQUAD52_RST_O            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_BIQUAD52_RST_O
    Signal PowerSignal_GND                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    Sum : Accumulator_52                                     -- ObjectKind=Sheet Symbol|PrimaryId=Sum
      Port Map
      (
        a   => PinSignal_MultiplierShift_b,                  -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-a[63..0]
        b   => PinSignal_Sum_b,                              -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-b[63..0]
        CE  => PowerSignal_VCC,                              -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-CE
        CLK => CLK,                                          -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-CLK
        L   => NamedSignal_C(4),                             -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-L
        p   => PinSignal_Scaling_b,                          -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-p[63..0]
        R   => NamedSignal_C(5)                              -- ObjectKind=Sheet Entry|PrimaryId=Accumulator_52.Vhd-R
      );

    ShiftDelay2 : Reg3                                       -- ObjectKind=Sheet Symbol|PrimaryId=ShiftDelay2
      Port Map
      (
        a   => PinSignal_ShiftDelay1_b,                      -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-a[2..0]
        b   => PinSignal_ShiftDelay2_b,                      -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-b[2..0]
        CE  => PowerSignal_VCC,                              -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-CE
        CLK => CLK                                           -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-CLK
      );

    ShiftDelay1 : Reg3                                       -- ObjectKind=Sheet Symbol|PrimaryId=ShiftDelay1
      Port Map
      (
        a   => NamedSignal_SSEL,                             -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-a[2..0]
        b   => PinSignal_ShiftDelay1_b,                      -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-b[2..0]
        CE  => PowerSignal_VCC,                              -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-CE
        CLK => CLK                                           -- ObjectKind=Sheet Entry|PrimaryId=Reg3.Vhd-CLK
      );

    Scaling : BarrelShifter2_52                              -- ObjectKind=Sheet Symbol|PrimaryId=Scaling
      Port Map
      (
        a   => PinSignal_Sum_b,                              -- ObjectKind=Sheet Entry|PrimaryId=BarrelShifter2_52.Vhd-a[63..0]
        b   => PinSignal_Scaling_b,                          -- ObjectKind=Sheet Entry|PrimaryId=BarrelShifter2_52.Vhd-b[63..0]
        sel => PinSignal_ShiftDelay2_b                       -- ObjectKind=Sheet Entry|PrimaryId=BarrelShifter2_52.Vhd-sel[2..0]
      );

    Reg52 : Reg52_52                                         -- ObjectKind=Sheet Symbol|PrimaryId=Reg52
      Port Map
      (
        a   => PinSignal_Overflow_b,                         -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-a[51..0]
        b   => PinSignal_Reg52_b,                            -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-b[51..0]
        CLK => CLK,                                          -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-CLK
        EN  => NamedSignal_C(6),                             -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-EN
        RST => PinSignal_U_BIQUAD52_RST_O,                   -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-RST
        WE  => PinSignal_Reg52_WE                            -- ObjectKind=Sheet Entry|PrimaryId=Reg52_52.Vhd-WE
      );

    Overflow : OverflowDetect_52                             -- ObjectKind=Sheet Symbol|PrimaryId=Overflow
      Port Map
      (
        a    => PinSignal_Sum_b,                             -- ObjectKind=Sheet Entry|PrimaryId=OverflowDetect_52.Vhd-a[63..0]
        b    => PinSignal_Overflow_b,                        -- ObjectKind=Sheet Entry|PrimaryId=OverflowDetect_52.Vhd-b[51..0]
        IOVF => IOVF,                                        -- ObjectKind=Sheet Entry|PrimaryId=OverflowDetect_52.Vhd-IOVF
        OVF  => PinSignal_Overflow_OVF                       -- ObjectKind=Sheet Entry|PrimaryId=OverflowDetect_52.Vhd-OVF
      );

    OutputRegister : Reg32                                   -- ObjectKind=Sheet Symbol|PrimaryId=OutputRegister
      Port Map
      (
        a   => NamedSignal_JoinA_IIR_engine_52_JB_C1,        -- ObjectKind=Sheet Entry|PrimaryId=Reg32.Vhd-a[31..0]
        b   => PinSignal_OutputRegister_b,                   -- ObjectKind=Sheet Entry|PrimaryId=Reg32.Vhd-b[31..0]
        CE  => NamedSignal_C(7),                             -- ObjectKind=Sheet Entry|PrimaryId=Reg32.Vhd-CE
        CLK => CLK                                           -- ObjectKind=Sheet Entry|PrimaryId=Reg32.Vhd-CLK
      );

    MultiplierShift : MulShifter_52                          -- ObjectKind=Sheet Symbol|PrimaryId=MultiplierShift
      Port Map
      (
        a   => PinSignal_U_BIQUAD52_MUL_P,                   -- ObjectKind=Sheet Entry|PrimaryId=MulShifter_52.Vhd-a[35..0]
        b   => PinSignal_MultiplierShift_b,                  -- ObjectKind=Sheet Entry|PrimaryId=MulShifter_52.Vhd-b[63..0]
        CLK => CLK,                                          -- ObjectKind=Sheet Entry|PrimaryId=MulShifter_52.Vhd-CLK
        sel => NamedSignal_MSEL                              -- ObjectKind=Sheet Entry|PrimaryId=MulShifter_52.Vhd-sel[1..0]
      );

    InputMux : Mux2Reg18_52                                  -- ObjectKind=Sheet Symbol|PrimaryId=InputMux
      Port Map
      (
        a   => I,                                            -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-a[31..0]
        b   => PinSignal_InputMux_b,                         -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-b[17..0]
        CLK => CLK,                                          -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-CLK
        h   => PinSignal_HistoryMemory_b,                    -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-h[17..0]
        old => PinSignal_InputMux_old,                       -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-old[31..0]
        RE  => NamedSignal_C(7),                             -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-RE
        SEL => NamedSignal_ISEL                              -- ObjectKind=Sheet Entry|PrimaryId=Mux2Reg18_52.Vhd-SEL[1..0]
      );

    HistoryMemory : SmallHistoryFile_52                      -- ObjectKind=Sheet Symbol|PrimaryId=HistoryMemory
      Port Map
      (
        A   => NamedSignal_HA,                               -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-A[4..0]
        b   => PinSignal_HistoryMemory_b,                    -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-b[17..0]
        CLK => CLK,                                          -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-CLK
        d   => PinSignal_Reg52_b,                            -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-d[51..0]
        HT  => HT,                                           -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-HT
        W   => PinSignal_Reg52_WE                            -- ObjectKind=Sheet Entry|PrimaryId=SmallHistoryFile_52.Vhd-W
      );

    CoefficientReg : Reg18                                   -- ObjectKind=Sheet Symbol|PrimaryId=CoefficientReg
      Port Map
      (
        a   => COEF,                                         -- ObjectKind=Sheet Entry|PrimaryId=Reg18.Vhd-a[17..0]
        b   => PinSignal_CoefficientReg_b,                   -- ObjectKind=Sheet Entry|PrimaryId=Reg18.Vhd-b[17..0]
        CE  => PowerSignal_VCC,                              -- ObjectKind=Sheet Entry|PrimaryId=Reg18.Vhd-CE
        CLK => CLK                                           -- ObjectKind=Sheet Entry|PrimaryId=Reg18.Vhd-CLK
      );

    U_BIQUAD52_RST : AND2                                    -- ObjectKind=Part|PrimaryId=U_BIQUAD52_RST|SecondaryId=1
      Port Map
      (
        I0 => RST,                                           -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_RST-I0
        I1 => NamedSignal_C(13),                             -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_RST-I1
        O  => PinSignal_U_BIQUAD52_RST_O                     -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_RST-O
      );

    U_BIQUAD52_MUL : MULT18X18S                              -- ObjectKind=Part|PrimaryId=U_BIQUAD52_MUL|SecondaryId=1
      Port Map
      (
        A  => PinSignal_CoefficientReg_b,                    -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-A[17..0]
        B  => PinSignal_InputMux_b,                          -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-B[17..0]
        C  => CLK,                                           -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-CE
        P  => PinSignal_U_BIQUAD52_MUL_P,                    -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-P[35..0]
        R  => PowerSignal_GND                                -- ObjectKind=Pin|PrimaryId=U_BIQUAD52_MUL-R
      );

    -- Signal Assignments
    ---------------------
    FIL                                   <= PinSignal_OutputRegister_b; -- ObjectKind=Net|PrimaryId=FIL[31..0]
    IOLD                                  <= PinSignal_InputMux_old; -- ObjectKind=Net|PrimaryId=IOLD[31..0]
    NamedSignal_C                         <= C; -- ObjectKind=Net|PrimaryId=C[17..0]
    NamedSignal_HA                        <= NamedSignal_C(12 downto 8);
    NamedSignal_ISEL                      <= NamedSignal_C(1 downto 0);
    NamedSignal_JoinA_IIR_engine_52_JB_C1 <= NamedSignal_JoinB_IIR_engine_52_JB_C1(51 downto 20);
    NamedSignal_JoinB_IIR_engine_52_JB_C1 <= PinSignal_Overflow_b; -- ObjectKind=Net|PrimaryId=b
    NamedSignal_JoinB_IIR_engine_52_JB_C5 <= PinSignal_CoefficientReg_b; -- ObjectKind=Net|PrimaryId=NetU_BIQUAD52_MUL_A[17..0]
    NamedSignal_MSEL                      <= NamedSignal_C(3 downto 2);
    NamedSignal_SSEL                      <= NamedSignal_JoinB_IIR_engine_52_JB_C5(2 downto 0);
    OVF                                   <= PinSignal_Overflow_OVF; -- ObjectKind=Net|PrimaryId=OVF
    PowerSignal_GND                       <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC                       <= '1'; -- ObjectKind=Net|PrimaryId=VCC

End Structure;
------------------------------------------------------------

