------------------------------------------------------------
-- VHDL FPGADuoTone2
-- 2016 5 5 8 48 32
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGADuoTone2
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGADuoTone2 Is
  port
  (
    X_1PPS_LONG   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_LONG
    X_1PPS_PARITY : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    X_1PPSIN      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPSIN
    X_1PPSOUT     : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPSOUT
    A             : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=A[31..0]
    ADDR          : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=ADDR[31..0]
    B             : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=B[31..0]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    CNT           : Out   STD_LOGIC_VECTOR(25 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=CNT[25..0]
    CNTROUT       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CNTROUT
    CRCERR        : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=CRCERR[7..0]
    ERRC          : Out   STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=ERRC[3..0]
    GPS           : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=GPS[31..0]
    INVSYNC       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=INVSYNC
    LED           : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LED
    LEDSYNC       : In    STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=LEDSYNC[3..0]
    LOS           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LOS
    PWRSYNC       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PWRSYNC
    RST           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RST
    STAT          : In    STD_LOGIC_VECTOR(1023 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=STAT[1023..0]
    SYNCLK        : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SYNCLK
    SYNCOUT       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SYNCOUT
    UP            : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=UP
    VCO_SYNC      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=VCO_SYNC
    VCO_SYNCIN    : In    STD_LOGIC                          -- ObjectKind=Port|PrimaryId=VCO_SYNCIN
  );
  attribute MacroCell : boolean;

End FPGADuoTone2;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGADuoTone2 Is
   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U101|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U101-O
      );
   End Component;

   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U91|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U91-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U91-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U91-O
      );
   End Component;

   Component AND3N2S                                         -- ObjectKind=Part|PrimaryId=U93|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U93-O
      );
   End Component;

   Component AND3S                                           -- ObjectKind=Part|PrimaryId=U82|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U82-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U82-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U82-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U82-O
      );
   End Component;

   Component CB4RES                                          -- ObjectKind=Part|PrimaryId=U79|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U79-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U79-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U79-CEO
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U79-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U79-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U79-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U79-Q3
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U79-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U79-TC
      );
   End Component;

   Component CB4RLES                                         -- ObjectKind=Part|PrimaryId=U77|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-CEO
        D0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-D0
        D1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-D1
        D2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-D2
        D3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-D3
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-L
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-Q3
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U77-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U77-TC
      );
   End Component;

   Component CB8REB                                          -- ObjectKind=Part|PrimaryId=U140|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U140-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U140-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U140-CEO
        Q   : out STD_LOGIC_VECTOR(7 downto 0);              -- ObjectKind=Pin|PrimaryId=U140-Q[7..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U140-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U140-TC
      );
   End Component;

   Component CB16CLEDB                                       -- ObjectKind=Part|PrimaryId=U134|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U134-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U134-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U134-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U134-CLR
        D   : in  STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U134-D[15..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U134-L
        Q   : out STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U134-Q[15..0]
        TC  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U134-TC
        UP  : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U134-UP
      );
   End Component;

   Component CB16REB                                         -- ObjectKind=Part|PrimaryId=U85|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-CEO
        Q   : out STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U85-Q[15..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U85-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U85-TC
      );
   End Component;

   Component Configurable_U81                                -- ObjectKind=Part|PrimaryId=U81|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(3 downto 0);               -- ObjectKind=Pin|PrimaryId=U81-I[3..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U81-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U81-O1
        O2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U81-O2
        O3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U81-O3
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U87|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U87-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U87-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U87-Q
      );
   End Component;

   Component FD2ES                                           -- ObjectKind=Part|PrimaryId=U110|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U110-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U110-CE
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U110-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U110-D1
        Q0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U110-Q0
        Q1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U110-Q1
      );
   End Component;

   Component FDC_1                                           -- ObjectKind=Part|PrimaryId=U105|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U105-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U105-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U105-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U105-Q
      );
   End Component;

   Component FDCE                                            -- ObjectKind=Part|PrimaryId=U104|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U104-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U104-CE
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U104-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U104-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U104-Q
      );
   End Component;

   Component FDE                                             -- ObjectKind=Part|PrimaryId=U89|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-D
        Q  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U89-Q
      );
   End Component;

   Component FDEN                                            -- ObjectKind=Part|PrimaryId=U94|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-D
        Q  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-Q
        QN : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U94-QN
      );
   End Component;

   Component FJKC                                            -- ObjectKind=Part|PrimaryId=U90|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U90-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U90-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U90-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U90-K
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U90-Q
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U84|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U84-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U84-O
      );
   End Component;

   Component INV2S                                           -- ObjectKind=Part|PrimaryId=U109|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U109-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U109-I1
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U109-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U109-O1
      );
   End Component;

   Component LinkRcv                                         -- ObjectKind=Sheet Symbol|PrimaryId=U_linkrcv
      port
      (
        A      : out STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-A[31..0]
        ADDR   : out STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-ADDR[31..0]
        B      : out STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-B[31..0]
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CLK
        CRCERR : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCERR
        CRCOK  : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCOK
        GPS    : out STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-GPS[31..0]
        INA    : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INA[31..0]
        INADDR : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INADDR[31..0]
        INB    : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INB[31..0]
        INGPS  : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INGPS[31..0]
        MI     : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-MI
        RST    : in  STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-RST
      );
   End Component;

   Component M1_S4S1                                         -- ObjectKind=Part|PrimaryId=U78|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U78-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U78-D1
        D2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U78-D2
        D3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U78-D3
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U78-O
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U78-S0
        S1 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U78-S1
      );
   End Component;

   Component NAND2S                                          -- ObjectKind=Part|PrimaryId=U99|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U99-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U99-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U99-O
      );
   End Component;

   Component NAND5S                                          -- ObjectKind=Part|PrimaryId=U83|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U83-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U83-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U83-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U83-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U83-I4
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U83-O
      );
   End Component;

   Component NOR5S                                           -- ObjectKind=Part|PrimaryId=U103|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U103-I4
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U103-O
      );
   End Component;

   Component TimingLink                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_timinglink
      port
      (
        A         : out STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-A[31..0]
        ADDR      : out STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-ADDR[31..0]
        B         : out STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-B[31..0]
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-CLK
        GPS       : out STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-GPS[31..0]
        IN_CE     : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CE
        IN_CRCERR : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCERR
        IN_CRCOK  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCOK
        IN_D      : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_D
        IN_DONE   : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_DONE
        IN_START  : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_START
        OUT_CE    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_CE
        OUT_D     : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_D
        OUT_DONE  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_DONE
        OUT_START : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_START
        RST       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-RST
        STAT      : in  STD_LOGIC_VECTOR(1023 downto 0)      -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-STAT[1023..0]
      );
   End Component;


    Signal NamedSignal_1PPS                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_1PPSIN               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSIN
    Signal NamedSignal_CLK                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CLK0ENB              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK0ENB
    Signal NamedSignal_CNT                  : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[22..0]
    Signal NamedSignal_DM1                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DM1
    Signal NamedSignal_ERC                  : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=ERC[3..0]
    Signal NamedSignal_IN_CE                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CE
    Signal NamedSignal_IN_CRCERR            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    Signal NamedSignal_IN_CRCOK             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    Signal NamedSignal_IN_D                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_D
    Signal NamedSignal_IN_DONE              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_DONE
    Signal NamedSignal_IN_ENB               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ENB
    Signal NamedSignal_LD2                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LD2
    Signal NamedSignal_LOS                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOS
    Signal NamedSignal_M1                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=M1
    Signal NamedSignal_N1PPS                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N1PPS
    Signal NamedSignal_NDO                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDO
    Signal NamedSignal_NDOENB               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDOENB
    Signal NamedSignal_NM1                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NM1
    Signal NamedSignal_ONEUS                : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=ONEUS[15..0]
    Signal NamedSignal_OUT_CE               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_CE
    Signal NamedSignal_OUT_D                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_D
    Signal NamedSignal_Q                    : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=Q[15..0]
    Signal NamedSignal_RST                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_UP                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP
    Signal NamedSignal_VCO_SYNCIN           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCO_SYNCIN
    Signal PinSignal_U_linkrcv_A            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=A[31..0]
    Signal PinSignal_U_linkrcv_ADDR         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    Signal PinSignal_U_linkrcv_B            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=B[31..0]
    Signal PinSignal_U_linkrcv_GPS          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal PinSignal_U_timinglink_A         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INA
    Signal PinSignal_U_timinglink_ADDR      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INADDR
    Signal PinSignal_U_timinglink_B         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INB
    Signal PinSignal_U_timinglink_GPS       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INGPS
    Signal PinSignal_U_timinglink_IN_CRCERR : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    Signal PinSignal_U_timinglink_IN_CRCOK  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    Signal PinSignal_U_timinglink_IN_DONE   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_DONE
    Signal PinSignal_U_timinglink_OUT_D     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_D
    Signal PinSignal_U_timinglink_OUT_DONE  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_DONE
    Signal PinSignal_U100_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDO
    Signal PinSignal_U101_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSIN
    Signal PinSignal_U102_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU102_O
    Signal PinSignal_U103_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP
    Signal PinSignal_U104_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU104_Q
    Signal PinSignal_U105_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU105_Q
    Signal PinSignal_U106_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU104_D
    Signal PinSignal_U107_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_D
    Signal PinSignal_U108_Q0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC0
    Signal PinSignal_U108_Q1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC1
    Signal PinSignal_U108_Q2                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC2
    Signal PinSignal_U108_Q3                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC3
    Signal PinSignal_U108_TC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU108_TC
    Signal PinSignal_U109_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU109_O0
    Signal PinSignal_U109_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU109_O1
    Signal PinSignal_U110_Q0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU110_Q0
    Signal PinSignal_U110_Q1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DM1
    Signal PinSignal_U111_Q                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LD2
    Signal PinSignal_U112_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU104_CLR
    Signal PinSignal_U113_O0                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU111_CLR
    Signal PinSignal_U113_O1                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU108_CE
    Signal PinSignal_U134_TC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU134_TC
    Signal PinSignal_U135_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=M1
    Signal PinSignal_U137_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU134_CE
    Signal PinSignal_U140_Q                 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    Signal PinSignal_U77_CEO                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU77_CEO
    Signal PinSignal_U77_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT3
    Signal PinSignal_U77_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT4
    Signal PinSignal_U77_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT5
    Signal PinSignal_U77_Q3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT6
    Signal PinSignal_U77_TC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU77_TC
    Signal PinSignal_U78_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_O
    Signal PinSignal_U79_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT0
    Signal PinSignal_U79_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT1
    Signal PinSignal_U79_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT2
    Signal PinSignal_U80_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT23
    Signal PinSignal_U80_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT24
    Signal PinSignal_U80_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT25
    Signal PinSignal_U80_Q3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU80_Q3
    Signal PinSignal_U81_O0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_D0
    Signal PinSignal_U81_O1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_D1
    Signal PinSignal_U81_O2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_D2
    Signal PinSignal_U81_O3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_D3
    Signal PinSignal_U82_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK0ENB
    Signal PinSignal_U83_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NM1
    Signal PinSignal_U84_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_S1
    Signal PinSignal_U85_CEO                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU80_CE
    Signal PinSignal_U85_Q                  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=CNT[22..0]
    Signal PinSignal_U85_TC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU83_I3
    Signal PinSignal_U86_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU86_O
    Signal PinSignal_U87_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    Signal PinSignal_U88_Q                  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=Q[15..0]
    Signal PinSignal_U89_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU89_Q
    Signal PinSignal_U90_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ENB
    Signal PinSignal_U91_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU91_O
    Signal PinSignal_U92_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CE
    Signal PinSignal_U93_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU91_I1
    Signal PinSignal_U94_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N1PPS
    Signal PinSignal_U94_QN                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal PinSignal_U95_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_ENB
    Signal PinSignal_U96_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU96_O
    Signal PinSignal_U97_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_CE
    Signal PinSignal_U98_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDOENB
    Signal PinSignal_U99_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU99_O
    Signal PowerSignal_GND                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_timinglink : TimingLink                                -- ObjectKind=Sheet Symbol|PrimaryId=U_timinglink
      Port Map
      (
        A         => PinSignal_U_timinglink_A,               -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-A[31..0]
        ADDR      => PinSignal_U_timinglink_ADDR,            -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-ADDR[31..0]
        B         => PinSignal_U_timinglink_B,               -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-B[31..0]
        CLK       => NamedSignal_CLK,                        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-CLK
        GPS       => PinSignal_U_timinglink_GPS,             -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-GPS[31..0]
        IN_CE     => NamedSignal_IN_CE,                      -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CE
        IN_CRCERR => PinSignal_U_timinglink_IN_CRCERR,       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCERR
        IN_CRCOK  => PinSignal_U_timinglink_IN_CRCOK,        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCOK
        IN_D      => NamedSignal_IN_D,                       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_D
        IN_DONE   => PinSignal_U_timinglink_IN_DONE,         -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_DONE
        IN_START  => NamedSignal_1PPSIN,                     -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_START
        OUT_CE    => NamedSignal_OUT_CE,                     -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_CE
        OUT_D     => PinSignal_U_timinglink_OUT_D,           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_D
        OUT_DONE  => PinSignal_U_timinglink_OUT_DONE,        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_DONE
        OUT_START => NamedSignal_1PPS,                       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_START
        RST       => RST,                                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-RST
        STAT      => STAT                                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-STAT[1023..0]
      );

    U_linkrcv : LinkRcv                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_linkrcv
      Port Map
      (
        A      => PinSignal_U_linkrcv_A,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-A[31..0]
        ADDR   => PinSignal_U_linkrcv_ADDR,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-ADDR[31..0]
        B      => PinSignal_U_linkrcv_B,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-B[31..0]
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CLK
        CRCERR => NamedSignal_IN_CRCERR,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCERR
        CRCOK  => NamedSignal_IN_CRCOK,                      -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCOK
        GPS    => PinSignal_U_linkrcv_GPS,                   -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-GPS[31..0]
        INA    => PinSignal_U_timinglink_A,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INA[31..0]
        INADDR => PinSignal_U_timinglink_ADDR,               -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INADDR[31..0]
        INB    => PinSignal_U_timinglink_B,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INB[31..0]
        INGPS  => PinSignal_U_timinglink_GPS,                -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INGPS[31..0]
        MI     => PinSignal_U135_O,                          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-MI
        RST    => RST                                        -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-RST
      );

    U140 : CB8REB                                            -- ObjectKind=Part|PrimaryId=U140|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U140-C
        CE => NamedSignal_IN_CRCERR,                         -- ObjectKind=Pin|PrimaryId=U140-CE
        Q  => PinSignal_U140_Q,                              -- ObjectKind=Pin|PrimaryId=U140-Q[7..0]
        R  => NamedSignal_RST                                -- ObjectKind=Pin|PrimaryId=U140-R
      );

    U137 : INV                                               -- ObjectKind=Part|PrimaryId=U137|SecondaryId=1
      Port Map
      (
        I => PinSignal_U134_TC,                              -- ObjectKind=Pin|PrimaryId=U137-I
        O => PinSignal_U137_O                                -- ObjectKind=Pin|PrimaryId=U137-O
      );

    U135 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U135|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U135-I0
        I1 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U135-I1
        O  => PinSignal_U135_O                               -- ObjectKind=Pin|PrimaryId=U135-O
      );

    U134 : CB16CLEDB                                         -- ObjectKind=Part|PrimaryId=U134|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U134-C
        CE  => PinSignal_U137_O,                             -- ObjectKind=Pin|PrimaryId=U134-CE
        CLR => NamedSignal_RST,                              -- ObjectKind=Pin|PrimaryId=U134-CLR
        D   => NamedSignal_ONEUS,                            -- ObjectKind=Pin|PrimaryId=U134-D[15..0]
        L   => NamedSignal_M1,                               -- ObjectKind=Pin|PrimaryId=U134-L
        TC  => PinSignal_U134_TC,                            -- ObjectKind=Pin|PrimaryId=U134-TC
        UP  => PowerSignal_GND                               -- ObjectKind=Pin|PrimaryId=U134-UP
      );

    U113 : INV2S                                             -- ObjectKind=Part|PrimaryId=U113|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U108_Q3,                             -- ObjectKind=Pin|PrimaryId=U113-I0
        I1 => PinSignal_U108_TC,                             -- ObjectKind=Pin|PrimaryId=U113-I1
        O0 => PinSignal_U113_O0,                             -- ObjectKind=Pin|PrimaryId=U113-O0
        O1 => PinSignal_U113_O1                              -- ObjectKind=Pin|PrimaryId=U113-O1
      );

    U112 : INV                                               -- ObjectKind=Part|PrimaryId=U112|SecondaryId=1
      Port Map
      (
        I => PinSignal_U105_Q,                               -- ObjectKind=Pin|PrimaryId=U112-I
        O => PinSignal_U112_O                                -- ObjectKind=Pin|PrimaryId=U112-O
      );

    U111 : FDCE                                              -- ObjectKind=Part|PrimaryId=U111|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U111-C
        CE  => NamedSignal_CLK0ENB,                          -- ObjectKind=Pin|PrimaryId=U111-CE
        CLR => PinSignal_U113_O0,                            -- ObjectKind=Pin|PrimaryId=U111-CLR
        D   => NamedSignal_1PPSIN,                           -- ObjectKind=Pin|PrimaryId=U111-D
        Q   => PinSignal_U111_Q                              -- ObjectKind=Pin|PrimaryId=U111-Q
      );

    U110 : FD2ES                                             -- ObjectKind=Part|PrimaryId=U110|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U110-C
        CE => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U110-CE
        D0 => PinSignal_U109_O0,                             -- ObjectKind=Pin|PrimaryId=U110-D0
        D1 => PinSignal_U109_O1,                             -- ObjectKind=Pin|PrimaryId=U110-D1
        Q0 => PinSignal_U110_Q0,                             -- ObjectKind=Pin|PrimaryId=U110-Q0
        Q1 => PinSignal_U110_Q1                              -- ObjectKind=Pin|PrimaryId=U110-Q1
      );

    U109 : INV2S                                             -- ObjectKind=Part|PrimaryId=U109|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U102_O,                              -- ObjectKind=Pin|PrimaryId=U109-I0
        I1 => NamedSignal_NDO,                               -- ObjectKind=Pin|PrimaryId=U109-I1
        O0 => PinSignal_U109_O0,                             -- ObjectKind=Pin|PrimaryId=U109-O0
        O1 => PinSignal_U109_O1                              -- ObjectKind=Pin|PrimaryId=U109-O1
      );

    U108 : CB4RES                                            -- ObjectKind=Part|PrimaryId=U108|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_N1PPS,                             -- ObjectKind=Pin|PrimaryId=U108-C
        CE => PinSignal_U113_O1,                             -- ObjectKind=Pin|PrimaryId=U108-CE
        Q0 => PinSignal_U108_Q0,                             -- ObjectKind=Pin|PrimaryId=U108-Q0
        Q1 => PinSignal_U108_Q1,                             -- ObjectKind=Pin|PrimaryId=U108-Q1
        Q2 => PinSignal_U108_Q2,                             -- ObjectKind=Pin|PrimaryId=U108-Q2
        Q3 => PinSignal_U108_Q3,                             -- ObjectKind=Pin|PrimaryId=U108-Q3
        R  => NamedSignal_1PPSIN,                            -- ObjectKind=Pin|PrimaryId=U108-R
        TC => PinSignal_U108_TC                              -- ObjectKind=Pin|PrimaryId=U108-TC
      );

    U107 : FDC_1                                             -- ObjectKind=Part|PrimaryId=U107|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_VCO_SYNCIN,                       -- ObjectKind=Pin|PrimaryId=U107-C
        CLR => LOS,                                          -- ObjectKind=Pin|PrimaryId=U107-CLR
        D   => PinSignal_U106_Q,                             -- ObjectKind=Pin|PrimaryId=U107-D
        Q   => PinSignal_U107_Q                              -- ObjectKind=Pin|PrimaryId=U107-Q
      );

    U106 : FDE                                               -- ObjectKind=Part|PrimaryId=U106|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U106-C
        CE => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U106-CE
        D  => PinSignal_U105_Q,                              -- ObjectKind=Pin|PrimaryId=U106-D
        Q  => PinSignal_U106_Q                               -- ObjectKind=Pin|PrimaryId=U106-Q
      );

    U105 : FDC_1                                             -- ObjectKind=Part|PrimaryId=U105|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_VCO_SYNCIN,                       -- ObjectKind=Pin|PrimaryId=U105-C
        CLR => PinSignal_U104_Q,                             -- ObjectKind=Pin|PrimaryId=U105-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U105-D
        Q   => PinSignal_U105_Q                              -- ObjectKind=Pin|PrimaryId=U105-Q
      );

    U104 : FDCE                                              -- ObjectKind=Part|PrimaryId=U104|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U104-C
        CE  => NamedSignal_CNT(0),                           -- ObjectKind=Pin|PrimaryId=U104-CE
        CLR => PinSignal_U112_O,                             -- ObjectKind=Pin|PrimaryId=U104-CLR
        D   => PinSignal_U106_Q,                             -- ObjectKind=Pin|PrimaryId=U104-D
        Q   => PinSignal_U104_Q                              -- ObjectKind=Pin|PrimaryId=U104-Q
      );

    U103 : NOR5S                                             -- ObjectKind=Part|PrimaryId=U103|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LOS,                               -- ObjectKind=Pin|PrimaryId=U103-I0
        I1 => PinSignal_U108_Q0,                             -- ObjectKind=Pin|PrimaryId=U103-I1
        I2 => PinSignal_U108_Q1,                             -- ObjectKind=Pin|PrimaryId=U103-I2
        I3 => PinSignal_U108_Q2,                             -- ObjectKind=Pin|PrimaryId=U103-I3
        I4 => PinSignal_U108_Q3,                             -- ObjectKind=Pin|PrimaryId=U103-I4
        O  => PinSignal_U103_O                               -- ObjectKind=Pin|PrimaryId=U103-O
      );

    U102 : M1_S4S1                                           -- ObjectKind=Part|PrimaryId=U102|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_DM1,                               -- ObjectKind=Pin|PrimaryId=U102-D0
        D1 => NamedSignal_NDO,                               -- ObjectKind=Pin|PrimaryId=U102-D1
        D2 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U102-D2
        D3 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U102-D3
        O  => PinSignal_U102_O,                              -- ObjectKind=Pin|PrimaryId=U102-O
        S0 => NamedSignal_CNT(1),                            -- ObjectKind=Pin|PrimaryId=U102-S0
        S1 => NamedSignal_CNT(2)                             -- ObjectKind=Pin|PrimaryId=U102-S1
      );

    U101 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U101|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_IN_ENB,                            -- ObjectKind=Pin|PrimaryId=U101-I0
        I1 => PinSignal_U107_Q,                              -- ObjectKind=Pin|PrimaryId=U101-I1
        O  => PinSignal_U101_O                               -- ObjectKind=Pin|PrimaryId=U101-O
      );

    U100 : AND2S                                             -- ObjectKind=Part|PrimaryId=U100|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U99_O,                               -- ObjectKind=Pin|PrimaryId=U100-I0
        I1 => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U100-I1
        O  => PinSignal_U100_O                               -- ObjectKind=Pin|PrimaryId=U100-O
      );

    U99 : NAND2S                                             -- ObjectKind=Part|PrimaryId=U99|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_OUT_D,                             -- ObjectKind=Pin|PrimaryId=U99-I0
        I1 => NamedSignal_NDOENB,                            -- ObjectKind=Pin|PrimaryId=U99-I1
        O  => PinSignal_U99_O                                -- ObjectKind=Pin|PrimaryId=U99-O
      );

    U98 : AND3S                                              -- ObjectKind=Part|PrimaryId=U98|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U95_Q,                               -- ObjectKind=Pin|PrimaryId=U98-I0
        I1 => NamedSignal_CNT(3),                            -- ObjectKind=Pin|PrimaryId=U98-I1
        I2 => NamedSignal_CNT(4),                            -- ObjectKind=Pin|PrimaryId=U98-I2
        O  => PinSignal_U98_O                                -- ObjectKind=Pin|PrimaryId=U98-O
      );

    U97 : FD                                                 -- ObjectKind=Part|PrimaryId=U97|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U97-C
        D => PinSignal_U96_O,                                -- ObjectKind=Pin|PrimaryId=U97-D
        Q => PinSignal_U97_Q                                 -- ObjectKind=Pin|PrimaryId=U97-Q
      );

    U96 : AND2S                                              -- ObjectKind=Part|PrimaryId=U96|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U96-I0
        I1 => PinSignal_U98_O,                               -- ObjectKind=Pin|PrimaryId=U96-I1
        O  => PinSignal_U96_O                                -- ObjectKind=Pin|PrimaryId=U96-O
      );

    U95 : FJKC                                               -- ObjectKind=Part|PrimaryId=U95|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U95-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U95-CLR
        J   => NamedSignal_1PPS,                             -- ObjectKind=Pin|PrimaryId=U95-J
        K   => PinSignal_U_timinglink_OUT_DONE,              -- ObjectKind=Pin|PrimaryId=U95-K
        Q   => PinSignal_U95_Q                               -- ObjectKind=Pin|PrimaryId=U95-Q
      );

    U94 : FDEN                                               -- ObjectKind=Part|PrimaryId=U94|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U94-C
        CE => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U94-CE
        D  => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U94-D
        Q  => PinSignal_U94_Q,                               -- ObjectKind=Pin|PrimaryId=U94-Q
        QN => PinSignal_U94_QN                               -- ObjectKind=Pin|PrimaryId=U94-QN
      );

    U93 : AND3N2S                                            -- ObjectKind=Part|PrimaryId=U93|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CNT(4),                            -- ObjectKind=Pin|PrimaryId=U93-I0
        I1 => NamedSignal_CNT(3),                            -- ObjectKind=Pin|PrimaryId=U93-I1
        I2 => PinSignal_U90_Q,                               -- ObjectKind=Pin|PrimaryId=U93-I2
        O  => PinSignal_U93_O                                -- ObjectKind=Pin|PrimaryId=U93-O
      );

    U92 : FD                                                 -- ObjectKind=Part|PrimaryId=U92|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U92-C
        D => PinSignal_U91_O,                                -- ObjectKind=Pin|PrimaryId=U92-D
        Q => PinSignal_U92_Q                                 -- ObjectKind=Pin|PrimaryId=U92-Q
      );

    U91 : AND2S                                              -- ObjectKind=Part|PrimaryId=U91|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U91-I0
        I1 => PinSignal_U93_O,                               -- ObjectKind=Pin|PrimaryId=U91-I1
        O  => PinSignal_U91_O                                -- ObjectKind=Pin|PrimaryId=U91-O
      );

    U90 : FJKC                                               -- ObjectKind=Part|PrimaryId=U90|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U90-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U90-CLR
        J   => PinSignal_U89_Q,                              -- ObjectKind=Pin|PrimaryId=U90-J
        K   => NamedSignal_IN_DONE,                          -- ObjectKind=Pin|PrimaryId=U90-K
        Q   => PinSignal_U90_Q                               -- ObjectKind=Pin|PrimaryId=U90-Q
      );

    U89 : FDE                                                -- ObjectKind=Part|PrimaryId=U89|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U89-C
        CE => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U89-CE
        D  => NamedSignal_1PPSIN,                            -- ObjectKind=Pin|PrimaryId=U89-D
        Q  => PinSignal_U89_Q                                -- ObjectKind=Pin|PrimaryId=U89-Q
      );

    U88 : CB16REB                                            -- ObjectKind=Part|PrimaryId=U88|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U88-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U88-CE
        Q  => PinSignal_U88_Q,                               -- ObjectKind=Pin|PrimaryId=U88-Q[15..0]
        R  => PowerSignal_GND                                -- ObjectKind=Pin|PrimaryId=U88-R
      );

    U87 : FD                                                 -- ObjectKind=Part|PrimaryId=U87|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CNT(25),                            -- ObjectKind=Pin|PrimaryId=U87-C
        D => PinSignal_U80_Q3,                               -- ObjectKind=Pin|PrimaryId=U87-D
        Q => PinSignal_U87_Q                                 -- ObjectKind=Pin|PrimaryId=U87-Q
      );

    U86 : INV                                                -- ObjectKind=Part|PrimaryId=U86|SecondaryId=1
      Port Map
      (
        I => NamedSignal_CNT(2),                             -- ObjectKind=Pin|PrimaryId=U86-I
        O => PinSignal_U86_O                                 -- ObjectKind=Pin|PrimaryId=U86-O
      );

    U85 : CB16REB                                            -- ObjectKind=Part|PrimaryId=U85|SecondaryId=1
      Port Map
      (
        C   => CLK,                                          -- ObjectKind=Pin|PrimaryId=U85-C
        CE  => PinSignal_U77_CEO,                            -- ObjectKind=Pin|PrimaryId=U85-CE
        CEO => PinSignal_U85_CEO,                            -- ObjectKind=Pin|PrimaryId=U85-CEO
        Q   => PinSignal_U85_Q,                              -- ObjectKind=Pin|PrimaryId=U85-Q[15..0]
        R   => NamedSignal_LD2,                              -- ObjectKind=Pin|PrimaryId=U85-R
        TC  => PinSignal_U85_TC                              -- ObjectKind=Pin|PrimaryId=U85-TC
      );

    U84 : INV                                                -- ObjectKind=Part|PrimaryId=U84|SecondaryId=1
      Port Map
      (
        I => NamedSignal_LOS,                                -- ObjectKind=Pin|PrimaryId=U84-I
        O => PinSignal_U84_O                                 -- ObjectKind=Pin|PrimaryId=U84-O
      );

    U83 : NAND5S                                             -- ObjectKind=Part|PrimaryId=U83|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U80_Q0,                              -- ObjectKind=Pin|PrimaryId=U83-I0
        I1 => PinSignal_U80_Q1,                              -- ObjectKind=Pin|PrimaryId=U83-I1
        I2 => PinSignal_U80_Q2,                              -- ObjectKind=Pin|PrimaryId=U83-I2
        I3 => PinSignal_U85_TC,                              -- ObjectKind=Pin|PrimaryId=U83-I3
        I4 => PinSignal_U77_TC,                              -- ObjectKind=Pin|PrimaryId=U83-I4
        O  => PinSignal_U83_O                                -- ObjectKind=Pin|PrimaryId=U83-O
      );

    U82 : AND3S                                              -- ObjectKind=Part|PrimaryId=U82|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U79_Q0,                              -- ObjectKind=Pin|PrimaryId=U82-I0
        I1 => PinSignal_U79_Q1,                              -- ObjectKind=Pin|PrimaryId=U82-I1
        I2 => PinSignal_U79_Q2,                              -- ObjectKind=Pin|PrimaryId=U82-I2
        O  => PinSignal_U82_O                                -- ObjectKind=Pin|PrimaryId=U82-O
      );

    U81 : Configurable_U81                                   -- ObjectKind=Part|PrimaryId=U81|SecondaryId=1
      Port Map
      (
        I  => LEDSYNC,                                       -- ObjectKind=Pin|PrimaryId=U81-I[3..0]
        O0 => PinSignal_U81_O0,                              -- ObjectKind=Pin|PrimaryId=U81-O0
        O1 => PinSignal_U81_O1,                              -- ObjectKind=Pin|PrimaryId=U81-O1
        O2 => PinSignal_U81_O2,                              -- ObjectKind=Pin|PrimaryId=U81-O2
        O3 => PinSignal_U81_O3                               -- ObjectKind=Pin|PrimaryId=U81-O3
      );

    U80 : CB4RES                                             -- ObjectKind=Part|PrimaryId=U80|SecondaryId=1
      Port Map
      (
        C  => CLK,                                           -- ObjectKind=Pin|PrimaryId=U80-C
        CE => PinSignal_U85_CEO,                             -- ObjectKind=Pin|PrimaryId=U80-CE
        Q0 => PinSignal_U80_Q0,                              -- ObjectKind=Pin|PrimaryId=U80-Q0
        Q1 => PinSignal_U80_Q1,                              -- ObjectKind=Pin|PrimaryId=U80-Q1
        Q2 => PinSignal_U80_Q2,                              -- ObjectKind=Pin|PrimaryId=U80-Q2
        Q3 => PinSignal_U80_Q3,                              -- ObjectKind=Pin|PrimaryId=U80-Q3
        R  => NamedSignal_LD2                                -- ObjectKind=Pin|PrimaryId=U80-R
      );

    U79 : CB4RES                                             -- ObjectKind=Part|PrimaryId=U79|SecondaryId=1
      Port Map
      (
        C  => CLK,                                           -- ObjectKind=Pin|PrimaryId=U79-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U79-CE
        Q0 => PinSignal_U79_Q0,                              -- ObjectKind=Pin|PrimaryId=U79-Q0
        Q1 => PinSignal_U79_Q1,                              -- ObjectKind=Pin|PrimaryId=U79-Q1
        Q2 => PinSignal_U79_Q2,                              -- ObjectKind=Pin|PrimaryId=U79-Q2
        R  => PowerSignal_GND                                -- ObjectKind=Pin|PrimaryId=U79-R
      );

    U78 : M1_S4S1                                            -- ObjectKind=Part|PrimaryId=U78|SecondaryId=1
      Port Map
      (
        D0 => PinSignal_U81_O0,                              -- ObjectKind=Pin|PrimaryId=U78-D0
        D1 => PinSignal_U81_O1,                              -- ObjectKind=Pin|PrimaryId=U78-D1
        D2 => PinSignal_U81_O2,                              -- ObjectKind=Pin|PrimaryId=U78-D2
        D3 => PinSignal_U81_O3,                              -- ObjectKind=Pin|PrimaryId=U78-D3
        O  => PinSignal_U78_O,                               -- ObjectKind=Pin|PrimaryId=U78-O
        S0 => NamedSignal_UP,                                -- ObjectKind=Pin|PrimaryId=U78-S0
        S1 => PinSignal_U84_O                                -- ObjectKind=Pin|PrimaryId=U78-S1
      );

    U77 : CB4RLES                                            -- ObjectKind=Part|PrimaryId=U77|SecondaryId=1
      Port Map
      (
        C   => CLK,                                          -- ObjectKind=Pin|PrimaryId=U77-C
        CE  => PinSignal_U82_O,                              -- ObjectKind=Pin|PrimaryId=U77-CE
        CEO => PinSignal_U77_CEO,                            -- ObjectKind=Pin|PrimaryId=U77-CEO
        D0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U77-D0
        D1  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U77-D1
        D2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U77-D2
        D3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U77-D3
        L   => NamedSignal_LD2,                              -- ObjectKind=Pin|PrimaryId=U77-L
        Q0  => PinSignal_U77_Q0,                             -- ObjectKind=Pin|PrimaryId=U77-Q0
        Q1  => PinSignal_U77_Q1,                             -- ObjectKind=Pin|PrimaryId=U77-Q1
        Q2  => PinSignal_U77_Q2,                             -- ObjectKind=Pin|PrimaryId=U77-Q2
        Q3  => PinSignal_U77_Q3,                             -- ObjectKind=Pin|PrimaryId=U77-Q3
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U77-R
        TC  => PinSignal_U77_TC                              -- ObjectKind=Pin|PrimaryId=U77-TC
      );

    -- Signal Assignments
    ---------------------
    A                            <= PinSignal_U_linkrcv_A; -- ObjectKind=Net|PrimaryId=A[31..0]
    ADDR                         <= PinSignal_U_linkrcv_ADDR; -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    B                            <= PinSignal_U_linkrcv_B; -- ObjectKind=Net|PrimaryId=B[31..0]
    CNT                          <= NamedSignal_CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    CNTROUT                      <= PinSignal_U86_O; -- ObjectKind=Net|PrimaryId=NetU86_O
    CRCERR                       <= PinSignal_U140_Q; -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    ERRC                         <= NamedSignal_ERC; -- ObjectKind=Net|PrimaryId=ERC[3..0]
    GPS                          <= PinSignal_U_linkrcv_GPS; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    INVSYNC                      <= NamedSignal_Q(10); -- ObjectKind=Net|PrimaryId=Q10
    LED                          <= PinSignal_U78_O; -- ObjectKind=Net|PrimaryId=NetU78_O
    NamedSignal_1PPS             <= PinSignal_U94_QN; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_1PPSIN           <= PinSignal_U101_O; -- ObjectKind=Net|PrimaryId=1PPSIN
    NamedSignal_CLK              <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CLK0ENB          <= PinSignal_U82_O; -- ObjectKind=Net|PrimaryId=CLK0ENB
    NamedSignal_CNT(0)           <= PinSignal_U79_Q0; -- ObjectKind=Net|PrimaryId=CNT0
    NamedSignal_CNT(1)           <= PinSignal_U79_Q1; -- ObjectKind=Net|PrimaryId=CNT1
    NamedSignal_CNT(2)           <= PinSignal_U79_Q2; -- ObjectKind=Net|PrimaryId=CNT2
    NamedSignal_CNT(22 downto 7) <= PinSignal_U85_Q; -- ObjectKind=Net|PrimaryId=CNT[22..0]
    NamedSignal_CNT(23)          <= PinSignal_U80_Q0; -- ObjectKind=Net|PrimaryId=CNT23
    NamedSignal_CNT(24)          <= PinSignal_U80_Q1; -- ObjectKind=Net|PrimaryId=CNT24
    NamedSignal_CNT(25)          <= PinSignal_U80_Q2; -- ObjectKind=Net|PrimaryId=CNT25
    NamedSignal_CNT(3)           <= PinSignal_U77_Q0; -- ObjectKind=Net|PrimaryId=CNT3
    NamedSignal_CNT(4)           <= PinSignal_U77_Q1; -- ObjectKind=Net|PrimaryId=CNT4
    NamedSignal_CNT(5)           <= PinSignal_U77_Q2; -- ObjectKind=Net|PrimaryId=CNT5
    NamedSignal_CNT(6)           <= PinSignal_U77_Q3; -- ObjectKind=Net|PrimaryId=CNT6
    NamedSignal_DM1              <= PinSignal_U110_Q1; -- ObjectKind=Net|PrimaryId=DM1
    NamedSignal_ERC(0)           <= PinSignal_U108_Q0; -- ObjectKind=Net|PrimaryId=ERC0
    NamedSignal_ERC(1)           <= PinSignal_U108_Q1; -- ObjectKind=Net|PrimaryId=ERC1
    NamedSignal_ERC(2)           <= PinSignal_U108_Q2; -- ObjectKind=Net|PrimaryId=ERC2
    NamedSignal_ERC(3)           <= PinSignal_U108_Q3; -- ObjectKind=Net|PrimaryId=ERC3
    NamedSignal_IN_CE            <= PinSignal_U92_Q; -- ObjectKind=Net|PrimaryId=IN_CE
    NamedSignal_IN_CRCERR        <= PinSignal_U_timinglink_IN_CRCERR; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    NamedSignal_IN_CRCOK         <= PinSignal_U_timinglink_IN_CRCOK; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    NamedSignal_IN_D             <= PinSignal_U107_Q; -- ObjectKind=Net|PrimaryId=IN_D
    NamedSignal_IN_DONE          <= PinSignal_U_timinglink_IN_DONE; -- ObjectKind=Net|PrimaryId=IN_DONE
    NamedSignal_IN_ENB           <= PinSignal_U90_Q; -- ObjectKind=Net|PrimaryId=IN_ENB
    NamedSignal_LD2              <= PinSignal_U111_Q; -- ObjectKind=Net|PrimaryId=LD2
    NamedSignal_LOS              <= LOS; -- ObjectKind=Net|PrimaryId=LOS
    NamedSignal_M1               <= PinSignal_U135_O; -- ObjectKind=Net|PrimaryId=M1
    NamedSignal_N1PPS            <= PinSignal_U94_Q; -- ObjectKind=Net|PrimaryId=N1PPS
    NamedSignal_NDO              <= PinSignal_U100_O; -- ObjectKind=Net|PrimaryId=NDO
    NamedSignal_NDOENB           <= PinSignal_U98_O; -- ObjectKind=Net|PrimaryId=NDOENB
    NamedSignal_NM1              <= PinSignal_U83_O; -- ObjectKind=Net|PrimaryId=NM1
    NamedSignal_ONEUS            <= "0000001010011111"; -- ObjectKind=Net|PrimaryId=ONEUS[15..0]
    NamedSignal_OUT_CE           <= PinSignal_U97_Q; -- ObjectKind=Net|PrimaryId=OUT_CE
    NamedSignal_OUT_D            <= PinSignal_U_timinglink_OUT_D; -- ObjectKind=Net|PrimaryId=OUT_D
    NamedSignal_Q                <= PinSignal_U88_Q; -- ObjectKind=Net|PrimaryId=Q[15..0]
    NamedSignal_RST              <= RST; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_UP               <= PinSignal_U103_O; -- ObjectKind=Net|PrimaryId=UP
    NamedSignal_VCO_SYNCIN       <= VCO_SYNCIN; -- ObjectKind=Net|PrimaryId=VCO_SYNCIN
    PowerSignal_GND              <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC              <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    PWRSYNC                      <= NamedSignal_Q(8); -- ObjectKind=Net|PrimaryId=Q8
    SYNCLK                       <= NamedSignal_Q(10); -- ObjectKind=Net|PrimaryId=Q10
    SYNCOUT                      <= PinSignal_U110_Q0; -- ObjectKind=Net|PrimaryId=NetU110_Q0
    UP                           <= PinSignal_U103_O; -- ObjectKind=Net|PrimaryId=UP
    VCO_SYNC                     <= VCO_SYNCIN; -- ObjectKind=Net|PrimaryId=VCO_SYNCIN
    X_1PPS_LONG                  <= PinSignal_U137_O; -- ObjectKind=Net|PrimaryId=NetU134_CE
    X_1PPS_PARITY                <= PinSignal_U87_Q; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    X_1PPSIN                     <= NamedSignal_1PPSIN; -- ObjectKind=Net|PrimaryId=1PPSIN
    X_1PPSOUT                    <= PinSignal_U94_QN; -- ObjectKind=Net|PrimaryId=1PPS

End Structure;
------------------------------------------------------------

