--------------------------------------------------------------------------------
-- SubModule Reg3
-- Created   4/11/2005 12:16:29 PM
--------------------------------------------------------------------------------
library IEEE;
use IEEE.Std_Logic_1164.all;

entity Reg3 is port
   (
     a        : in    std_logic_vector(2 downto 0);
     b        : out   std_logic_vector(2 downto 0);
     CLK      : in    std_logic;
     CE       : in    std_logic
   );
end Reg3;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
architecture RTL of Reg3 is

begin
   reg: process (CLK, CE) is
   begin
      if rising_edge (CLK) then
         if CE = '1' then
            b <= a;
         end if;
      end if;
   end process reg;
end architecture RTL;
--------------------------------------------------------------------------------

