------------------------------------------------------------
-- VHDL FPGADuoTone3
-- 2016 5 5 8 48 35
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGADuoTone3
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGADuoTone3 Is
  port
  (
    X_1PPS   : In    STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=1PPS
    CLK      : In    STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=CLK
    CNT      : In    STD_LOGIC_VECTOR(25 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=CNT[25..0]
    DAC_DIN  : Out   STD_LOGIC_VECTOR(1 DOWNTO 0);           -- ObjectKind=Port|PrimaryId=DAC_DIN[1..0]
    DAC_SCLK : Out   STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=DAC_SCLK
    DAC_SYNC : Out   STD_LOGIC;                              -- ObjectKind=Port|PrimaryId=DAC_SYNC
    DUO      : Out   STD_LOGIC_VECTOR(15 DOWNTO 0)           -- ObjectKind=Port|PrimaryId=DUO[15..0]
  );
  attribute MacroCell : boolean;

End FPGADuoTone3;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGADuoTone3 Is
   Component ADDF16B                                         -- ObjectKind=Part|PrimaryId=U118|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(15 downto 0);              -- ObjectKind=Pin|PrimaryId=U118-A[15..0]
        B  : in  STD_LOGIC_VECTOR(15 downto 0);              -- ObjectKind=Pin|PrimaryId=U118-B[15..0]
        CI : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-CI
        CO : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-CO
        S  : out STD_LOGIC_VECTOR(15 downto 0)               -- ObjectKind=Pin|PrimaryId=U118-S[15..0]
      );
   End Component;

   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U117|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U117-O
      );
   End Component;

   Component AND4N1S                                         -- ObjectKind=Part|PrimaryId=U115|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U115-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U115-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U115-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U115-I3
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U115-O
      );
   End Component;

   Component AND5N1S                                         -- ObjectKind=Part|PrimaryId=U128|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U128-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U128-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U128-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U128-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U128-I4
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U128-O
      );
   End Component;

   Component AND7S                                           -- ObjectKind=Part|PrimaryId=U123|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I4
        I5 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I5
        I6 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U123-I6
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U123-O
      );
   End Component;

   Component AND16B                                          -- ObjectKind=Part|PrimaryId=U114|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(15 downto 0);               -- ObjectKind=Pin|PrimaryId=U114-I[15..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U114-O
      );
   End Component;

   Component Configurable_U_SQWAVE                           -- ObjectKind=Part|PrimaryId=U_SQWAVE|SecondaryId=1
      port
      (
        HI       : out STD_LOGIC_VECTOR(15 downto 0);        -- ObjectKind=Pin|PrimaryId=U_SQWAVE-HI[15..0]
        LO       : out STD_LOGIC_VECTOR(15 downto 0);        -- ObjectKind=Pin|PrimaryId=U_SQWAVE-LO[15..0]
        SINEWAVE : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=U_SQWAVE-SINEWAVE
        SQWAVE   : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=U_SQWAVE-SQWAVE
      );
   End Component;

   Component FD32B                                           -- ObjectKind=Part|PrimaryId=U122|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U122-C
        D : in  STD_LOGIC_VECTOR(31 downto 0);               -- ObjectKind=Pin|PrimaryId=U122-D[31..0]
        Q : out STD_LOGIC_VECTOR(31 downto 0)                -- ObjectKind=Pin|PrimaryId=U122-Q[31..0]
      );
   End Component;

   Component FDE                                             -- ObjectKind=Part|PrimaryId=U124|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U124-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U124-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U124-D
        Q  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U124-Q
      );
   End Component;

   Component IIR_CoeffMem_52_DuoTone                         -- ObjectKind=Sheet Symbol|PrimaryId=CoefficientMemory_960
      port
      (
        A    : in  STD_LOGIC_VECTOR(6 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-A[6..0]
        ADDR : in  STD_LOGIC_VECTOR(10 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-ADDR[10..0]
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-CLK
        COEF : out STD_LOGIC_VECTOR(17 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-COEF[17..0]
        CTRL : out STD_LOGIC_VECTOR(17 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-CTRL[17..0]
        DI   : in  STD_LOGIC_VECTOR(17 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-DI[17..0]
        DO   : out STD_LOGIC_VECTOR(17 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-DO[17..0]
        MWE  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-MWE
        SEL  : in  STD_LOGIC_VECTOR(2 downto 0)              -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-SEL[2..0]
      );
   End Component;

   Component IIR_engine_52                                   -- ObjectKind=Sheet Symbol|PrimaryId=FilterEngine960
      port
      (
        C    : in  STD_LOGIC_VECTOR(17 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-C[17..0]
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-CLK
        COEF : in  STD_LOGIC_VECTOR(17 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-COEF[17..0]
        FIL  : out STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-FIL[31..0]
        HT   : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-HT
        I    : in  STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-I[31..0]
        IOLD : out STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-IOLD[31..0]
        IOVF : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-IOVF
        OVF  : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-OVF
        RST  : in  STD_LOGIC                                 -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-RST
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U119|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U119-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U119-O
      );
   End Component;

   Component M16_B2B1                                        -- ObjectKind=Part|PrimaryId=U116|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(15 downto 0);              -- ObjectKind=Pin|PrimaryId=U116-A[15..0]
        B  : in  STD_LOGIC_VECTOR(15 downto 0);              -- ObjectKind=Pin|PrimaryId=U116-B[15..0]
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U116-S0
        Y  : out STD_LOGIC_VECTOR(15 downto 0)               -- ObjectKind=Pin|PrimaryId=U116-Y[15..0]
      );
   End Component;

   Component M32_B2B1                                        -- ObjectKind=Part|PrimaryId=U74|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(31 downto 0);              -- ObjectKind=Pin|PrimaryId=U74-A[31..0]
        B  : in  STD_LOGIC_VECTOR(31 downto 0);              -- ObjectKind=Pin|PrimaryId=U74-B[31..0]
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U74-S0
        Y  : out STD_LOGIC_VECTOR(31 downto 0)               -- ObjectKind=Pin|PrimaryId=U74-Y[31..0]
      );
   End Component;

   Component SR32RLEB                                        -- ObjectKind=Part|PrimaryId=U120|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U120-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U120-CE
        D   : in  STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Pin|PrimaryId=U120-D[31..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U120-L
        Q   : out STD_LOGIC_VECTOR(31 downto 0);             -- ObjectKind=Pin|PrimaryId=U120-Q[31..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U120-R
        SLI : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U120-SLI
      );
   End Component;


    Signal NamedSignal_CLK                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT                      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=CNT[31..0]
    Signal NamedSignal_D                        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=D[31..0]
    Signal NamedSignal_DAC_DIN                  : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=DAC_DIN[1..0]
    Signal NamedSignal_DCNT                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DCNT[31..0]
    Signal NamedSignal_DUO                      : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=DUO[14..0]
    Signal NamedSignal_FA                       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=FA[27..0]
    Signal NamedSignal_FB                       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=FB[27..0]
    Signal NamedSignal_GND1_BUS                 : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[17..0]
    Signal NamedSignal_GND10_BUS                : STD_LOGIC_VECTOR(8 downto 0); -- ObjectKind=Net|PrimaryId=GND10_BUS[8..0]
    Signal NamedSignal_GND11_BUS                : STD_LOGIC_VECTOR(6 downto 0); -- ObjectKind=Net|PrimaryId=GND11_BUS[6..0]
    Signal NamedSignal_GND12_BUS                : STD_LOGIC_VECTOR(8 downto 0); -- ObjectKind=Net|PrimaryId=GND12_BUS[8..0]
    Signal NamedSignal_GND2_BUS                 : STD_LOGIC_VECTOR(10 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[10..0]
    Signal NamedSignal_GND3_BUS                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GND3_BUS[31..0]
    Signal NamedSignal_GND4_BUS                 : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=GND4_BUS[17..0]
    Signal NamedSignal_GND5_BUS                 : STD_LOGIC_VECTOR(10 downto 0); -- ObjectKind=Net|PrimaryId=GND5_BUS[10..0]
    Signal NamedSignal_GND6_BUS                 : STD_LOGIC_VECTOR(6 downto 0); -- ObjectKind=Net|PrimaryId=GND6_BUS[6..0]
    Signal NamedSignal_GND7_BUS                 : STD_LOGIC_VECTOR(8 downto 0); -- ObjectKind=Net|PrimaryId=D[8..0]
    Signal NamedSignal_GND8_BUS                 : STD_LOGIC_VECTOR(31 downto 26); -- ObjectKind=Net|PrimaryId=CNT[31..26]
    Signal NamedSignal_GND9_BUS                 : STD_LOGIC_VECTOR(6 downto 0); -- ObjectKind=Net|PrimaryId=GND9_BUS[6..0]
    Signal NamedSignal_IMP                      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=IMP[31..0]
    Signal NamedSignal_JoinA_FPGADuoTone3_JB_C2 : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU116_Y[15..0]
    Signal NamedSignal_RECTANGLE                : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=RECTANGLE[24..9]
    Signal NamedSignal_SELA                     : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=SELA[2..0]
    Signal NamedSignal_SELB                     : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=SELB[2..0]
    Signal NamedSignal_SHIFT                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SHIFT
    Signal NamedSignal_SINE                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SINE[24..9]
    Signal NamedSignal_SINEWAVE                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SINEWAVE
    Signal NamedSignal_SO                       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SO[31..0]
    Signal NamedSignal_SQWAVE                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SQWAVE
    Signal PinSignal_CoefficientMemory_960_COEF : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=COEF
    Signal PinSignal_CoefficientMemory_960_CTRL : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=CTRL
    Signal PinSignal_CoefficientMemory_961_COEF : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=COEF
    Signal PinSignal_CoefficientMemory_961_CTRL : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=CTRL
    Signal PinSignal_FilterEngine960_FIL        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=FA[31..0]
    Signal PinSignal_FilterEngine961_FIL        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=FB[31..0]
    Signal PinSignal_U_SQWAVE_HI                : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU116_A[15..0]
    Signal PinSignal_U_SQWAVE_LO                : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU116_B[15..0]
    Signal PinSignal_U_SQWAVE_SINEWAVE          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SINEWAVE
    Signal PinSignal_U_SQWAVE_SQWAVE            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SQWAVE
    Signal PinSignal_U114_I                     : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=DCNT[25..0]
    Signal PinSignal_U114_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU114_O
    Signal PinSignal_U115_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SMTWO
    Signal PinSignal_U116_Y                     : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU116_Y[15..0]
    Signal PinSignal_U117_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU117_O
    Signal PinSignal_U118_A                     : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=FA[27..0]
    Signal PinSignal_U118_B                     : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=FB[27..0]
    Signal PinSignal_U118_S                     : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=DUO[15..0]
    Signal PinSignal_U119_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=D24
    Signal PinSignal_U120_Q                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SO[31..0]
    Signal PinSignal_U122_Q                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DCNT[31..0]
    Signal PinSignal_U123_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SAMPLE
    Signal PinSignal_U124_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DAC_SCLK
    Signal PinSignal_U125_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DAC_DIN1
    Signal PinSignal_U126_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SHIFT
    Signal PinSignal_U127_Q                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNC_CLK
    Signal PinSignal_U128_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU127_D
    Signal PinSignal_U131_Y                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=I[31..0]
    Signal PinSignal_U133_Y                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU74_A[31..0]
    Signal PinSignal_U74_Y                      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=NetU74_Y[31..0]
    Signal PowerSignal_GND                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

Begin
    FilterEngine961 : IIR_engine_52                          -- ObjectKind=Sheet Symbol|PrimaryId=FilterEngine961
      Port Map
      (
        C    => PinSignal_CoefficientMemory_961_CTRL,        -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-C[17..0]
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-CLK
        COEF => PinSignal_CoefficientMemory_961_COEF,        -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-COEF[17..0]
        FIL  => PinSignal_FilterEngine961_FIL,               -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-FIL[31..0]
        HT   => NamedSignal_DCNT(7),                         -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-HT
        I    => PinSignal_U131_Y,                            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-I[31..0]
        IOVF => PowerSignal_GND,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-IOVF
        RST  => PinSignal_U115_O                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-RST
      );

    FilterEngine960 : IIR_engine_52                          -- ObjectKind=Sheet Symbol|PrimaryId=FilterEngine960
      Port Map
      (
        C    => PinSignal_CoefficientMemory_960_CTRL,        -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-C[17..0]
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-CLK
        COEF => PinSignal_CoefficientMemory_960_COEF,        -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-COEF[17..0]
        FIL  => PinSignal_FilterEngine960_FIL,               -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-FIL[31..0]
        HT   => NamedSignal_DCNT(7),                         -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-HT
        I    => PinSignal_U131_Y,                            -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-I[31..0]
        IOVF => PowerSignal_GND,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-IOVF
        RST  => PinSignal_U115_O                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_engine_52.SchDoc-RST
      );

    CoefficientMemory_961 : IIR_CoeffMem_52_DuoTone          -- ObjectKind=Sheet Symbol|PrimaryId=CoefficientMemory_961
      Port Map
      (
        A    => NamedSignal_DCNT(6 downto 0),                -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-A[6..0]
        ADDR => NamedSignal_GND5_BUS,                        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-ADDR[10..0]
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-CLK
        COEF => PinSignal_CoefficientMemory_961_COEF,        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-COEF[17..0]
        CTRL => PinSignal_CoefficientMemory_961_CTRL,        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-CTRL[17..0]
        DI   => NamedSignal_GND4_BUS,                        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-DI[17..0]
        MWE  => PowerSignal_GND,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-MWE
        SEL  => NamedSignal_SELB                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-SEL[2..0]
      );

    CoefficientMemory_960 : IIR_CoeffMem_52_DuoTone          -- ObjectKind=Sheet Symbol|PrimaryId=CoefficientMemory_960
      Port Map
      (
        A    => NamedSignal_DCNT(6 downto 0),                -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-A[6..0]
        ADDR => NamedSignal_GND2_BUS,                        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-ADDR[10..0]
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-CLK
        COEF => PinSignal_CoefficientMemory_960_COEF,        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-COEF[17..0]
        CTRL => PinSignal_CoefficientMemory_960_CTRL,        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-CTRL[17..0]
        DI   => NamedSignal_GND1_BUS,                        -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-DI[17..0]
        MWE  => PowerSignal_GND,                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-MWE
        SEL  => NamedSignal_SELA                             -- ObjectKind=Sheet Entry|PrimaryId=IIR_CoeffMem_52_DuoTone.Vhd-SEL[2..0]
      );

    U_SQWAVE : Configurable_U_SQWAVE                         -- ObjectKind=Part|PrimaryId=U_SQWAVE|SecondaryId=1
      Port Map
      (
        HI       => PinSignal_U_SQWAVE_HI,                   -- ObjectKind=Pin|PrimaryId=U_SQWAVE-HI[15..0]
        LO       => PinSignal_U_SQWAVE_LO,                   -- ObjectKind=Pin|PrimaryId=U_SQWAVE-LO[15..0]
        SINEWAVE => PinSignal_U_SQWAVE_SINEWAVE,             -- ObjectKind=Pin|PrimaryId=U_SQWAVE-SINEWAVE
        SQWAVE   => PinSignal_U_SQWAVE_SQWAVE                -- ObjectKind=Pin|PrimaryId=U_SQWAVE-SQWAVE
      );

    U133 : M32_B2B1                                          -- ObjectKind=Part|PrimaryId=U133|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_D,                                 -- ObjectKind=Pin|PrimaryId=U133-A[31..0]
        B  => NamedSignal_RECTANGLE,                         -- ObjectKind=Pin|PrimaryId=U133-B[31..0]
        S0 => NamedSignal_SQWAVE,                            -- ObjectKind=Pin|PrimaryId=U133-S0
        Y  => PinSignal_U133_Y                               -- ObjectKind=Pin|PrimaryId=U133-Y[31..0]
      );

    U131 : M32_B2B1                                          -- ObjectKind=Part|PrimaryId=U131|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_GND3_BUS,                          -- ObjectKind=Pin|PrimaryId=U131-A[31..0]
        B  => NamedSignal_IMP,                               -- ObjectKind=Pin|PrimaryId=U131-B[31..0]
        S0 => PinSignal_U115_O,                              -- ObjectKind=Pin|PrimaryId=U131-S0
        Y  => PinSignal_U131_Y                               -- ObjectKind=Pin|PrimaryId=U131-Y[31..0]
      );

    U128 : AND5N1S                                           -- ObjectKind=Part|PrimaryId=U128|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_DCNT(2),                           -- ObjectKind=Pin|PrimaryId=U128-I0
        I1 => NamedSignal_DCNT(3),                           -- ObjectKind=Pin|PrimaryId=U128-I1
        I2 => NamedSignal_DCNT(4),                           -- ObjectKind=Pin|PrimaryId=U128-I2
        I3 => NamedSignal_DCNT(5),                           -- ObjectKind=Pin|PrimaryId=U128-I3
        I4 => NamedSignal_DCNT(6),                           -- ObjectKind=Pin|PrimaryId=U128-I4
        O  => PinSignal_U128_O                               -- ObjectKind=Pin|PrimaryId=U128-O
      );

    U127 : FDE                                               -- ObjectKind=Part|PrimaryId=U127|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U127-C
        CE => NamedSignal_SHIFT,                             -- ObjectKind=Pin|PrimaryId=U127-CE
        D  => PinSignal_U128_O,                              -- ObjectKind=Pin|PrimaryId=U127-D
        Q  => PinSignal_U127_Q                               -- ObjectKind=Pin|PrimaryId=U127-Q
      );

    U126 : AND2S                                             -- ObjectKind=Part|PrimaryId=U126|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_DCNT(0),                           -- ObjectKind=Pin|PrimaryId=U126-I0
        I1 => NamedSignal_DCNT(1),                           -- ObjectKind=Pin|PrimaryId=U126-I1
        O  => PinSignal_U126_O                               -- ObjectKind=Pin|PrimaryId=U126-O
      );

    U125 : FDE                                               -- ObjectKind=Part|PrimaryId=U125|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U125-C
        CE => PinSignal_U126_O,                              -- ObjectKind=Pin|PrimaryId=U125-CE
        D  => NamedSignal_SO(31),                            -- ObjectKind=Pin|PrimaryId=U125-D
        Q  => PinSignal_U125_Q                               -- ObjectKind=Pin|PrimaryId=U125-Q
      );

    U124 : FDE                                               -- ObjectKind=Part|PrimaryId=U124|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U124-C
        CE => NamedSignal_DCNT(0),                           -- ObjectKind=Pin|PrimaryId=U124-CE
        D  => NamedSignal_DCNT(1),                           -- ObjectKind=Pin|PrimaryId=U124-D
        Q  => PinSignal_U124_Q                               -- ObjectKind=Pin|PrimaryId=U124-Q
      );

    U123 : AND7S                                             -- ObjectKind=Part|PrimaryId=U123|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_DCNT(0),                           -- ObjectKind=Pin|PrimaryId=U123-I0
        I1 => NamedSignal_DCNT(1),                           -- ObjectKind=Pin|PrimaryId=U123-I1
        I2 => NamedSignal_DCNT(2),                           -- ObjectKind=Pin|PrimaryId=U123-I2
        I3 => NamedSignal_DCNT(3),                           -- ObjectKind=Pin|PrimaryId=U123-I3
        I4 => NamedSignal_DCNT(4),                           -- ObjectKind=Pin|PrimaryId=U123-I4
        I5 => NamedSignal_DCNT(5),                           -- ObjectKind=Pin|PrimaryId=U123-I5
        I6 => NamedSignal_DCNT(6),                           -- ObjectKind=Pin|PrimaryId=U123-I6
        O  => PinSignal_U123_O                               -- ObjectKind=Pin|PrimaryId=U123-O
      );

    U122 : FD32B                                             -- ObjectKind=Part|PrimaryId=U122|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U122-C
        D => NamedSignal_CNT,                                -- ObjectKind=Pin|PrimaryId=U122-D[31..0]
        Q => PinSignal_U122_Q                                -- ObjectKind=Pin|PrimaryId=U122-Q[31..0]
      );

    U120 : SR32RLEB                                          -- ObjectKind=Part|PrimaryId=U120|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U120-C
        CE  => NamedSignal_SHIFT,                            -- ObjectKind=Pin|PrimaryId=U120-CE
        D   => PinSignal_U74_Y,                              -- ObjectKind=Pin|PrimaryId=U120-D[31..0]
        L   => PinSignal_U123_O,                             -- ObjectKind=Pin|PrimaryId=U120-L
        Q   => PinSignal_U120_Q,                             -- ObjectKind=Pin|PrimaryId=U120-Q[31..0]
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U120-R
        SLI => PowerSignal_GND                               -- ObjectKind=Pin|PrimaryId=U120-SLI
      );

    U119 : INV                                               -- ObjectKind=Part|PrimaryId=U119|SecondaryId=1
      Port Map
      (
        I => NamedSignal_DUO(15),                            -- ObjectKind=Pin|PrimaryId=U119-I
        O => PinSignal_U119_O                                -- ObjectKind=Pin|PrimaryId=U119-O
      );

    U118 : ADDF16B                                           -- ObjectKind=Part|PrimaryId=U118|SecondaryId=1
      Port Map
      (
        A  => PinSignal_U118_A,                              -- ObjectKind=Pin|PrimaryId=U118-A[15..0]
        B  => PinSignal_U118_B,                              -- ObjectKind=Pin|PrimaryId=U118-B[15..0]
        CI => PinSignal_U117_O,                              -- ObjectKind=Pin|PrimaryId=U118-CI
        S  => PinSignal_U118_S                               -- ObjectKind=Pin|PrimaryId=U118-S[15..0]
      );

    U117 : AND2S                                             -- ObjectKind=Part|PrimaryId=U117|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_FA(11),                            -- ObjectKind=Pin|PrimaryId=U117-I0
        I1 => NamedSignal_FB(11),                            -- ObjectKind=Pin|PrimaryId=U117-I1
        O  => PinSignal_U117_O                               -- ObjectKind=Pin|PrimaryId=U117-O
      );

    U116 : M16_B2B1                                          -- ObjectKind=Part|PrimaryId=U116|SecondaryId=1
      Port Map
      (
        A  => PinSignal_U_SQWAVE_HI,                         -- ObjectKind=Pin|PrimaryId=U116-A[15..0]
        B  => PinSignal_U_SQWAVE_LO,                         -- ObjectKind=Pin|PrimaryId=U116-B[15..0]
        S0 => NamedSignal_CNT(12),                           -- ObjectKind=Pin|PrimaryId=U116-S0
        Y  => PinSignal_U116_Y                               -- ObjectKind=Pin|PrimaryId=U116-Y[15..0]
      );

    U115 : AND4N1S                                           -- ObjectKind=Part|PrimaryId=U115|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_DCNT(7),                           -- ObjectKind=Pin|PrimaryId=U115-I0
        I1 => NamedSignal_DCNT(8),                           -- ObjectKind=Pin|PrimaryId=U115-I1
        I2 => NamedSignal_DCNT(9),                           -- ObjectKind=Pin|PrimaryId=U115-I2
        I3 => PinSignal_U114_O,                              -- ObjectKind=Pin|PrimaryId=U115-I3
        O  => PinSignal_U115_O                               -- ObjectKind=Pin|PrimaryId=U115-O
      );

    U114 : AND16B                                            -- ObjectKind=Part|PrimaryId=U114|SecondaryId=1
      Port Map
      (
        I => PinSignal_U114_I,                               -- ObjectKind=Pin|PrimaryId=U114-I[15..0]
        O => PinSignal_U114_O                                -- ObjectKind=Pin|PrimaryId=U114-O
      );

    U74 : M32_B2B1                                           -- ObjectKind=Part|PrimaryId=U74|SecondaryId=1
      Port Map
      (
        A  => PinSignal_U133_Y,                              -- ObjectKind=Pin|PrimaryId=U74-A[31..0]
        B  => NamedSignal_SINE,                              -- ObjectKind=Pin|PrimaryId=U74-B[31..0]
        S0 => NamedSignal_SINEWAVE,                          -- ObjectKind=Pin|PrimaryId=U74-S0
        Y  => PinSignal_U74_Y                                -- ObjectKind=Pin|PrimaryId=U74-Y[31..0]
      );

    -- Signal Assignments
    ---------------------
    DAC_DIN                              <= NamedSignal_DAC_DIN; -- ObjectKind=Net|PrimaryId=DAC_DIN[1..0]
    DAC_SCLK                             <= PinSignal_U124_Q; -- ObjectKind=Net|PrimaryId=DAC_SCLK
    DAC_SYNC                             <= PinSignal_U127_Q; -- ObjectKind=Net|PrimaryId=SYNC_CLK
    DUO                                  <= PinSignal_U118_S; -- ObjectKind=Net|PrimaryId=DUO[15..0]
    NamedSignal_CLK                      <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT(25 downto 0)         <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_CNT(31 downto 26)        <= NamedSignal_GND8_BUS; -- ObjectKind=Net|PrimaryId=CNT[31..26]
    NamedSignal_D(23 downto 9)           <= NamedSignal_DUO(14 downto 0);
    NamedSignal_D(24)                    <= PinSignal_U119_O; -- ObjectKind=Net|PrimaryId=D24
    NamedSignal_D(31 downto 25)          <= NamedSignal_GND6_BUS;
    NamedSignal_D(8 downto 0)            <= NamedSignal_GND7_BUS; -- ObjectKind=Net|PrimaryId=D[8..0]
    NamedSignal_DAC_DIN(0)               <= PinSignal_U125_Q; -- ObjectKind=Net|PrimaryId=DAC_DIN1
    NamedSignal_DAC_DIN(1)               <= PinSignal_U125_Q; -- ObjectKind=Net|PrimaryId=DAC_DIN1
    NamedSignal_DCNT                     <= PinSignal_U122_Q; -- ObjectKind=Net|PrimaryId=DCNT[31..0]
    NamedSignal_DUO                      <= PinSignal_U118_S; -- ObjectKind=Net|PrimaryId=DUO[15..0]
    NamedSignal_FA                       <= PinSignal_FilterEngine960_FIL; -- ObjectKind=Net|PrimaryId=FA[31..0]
    NamedSignal_FB                       <= PinSignal_FilterEngine961_FIL; -- ObjectKind=Net|PrimaryId=FB[31..0]
    NamedSignal_GND1_BUS                 <= "000000000000000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[17..0]
    NamedSignal_GND10_BUS                <= "000000000"; -- ObjectKind=Net|PrimaryId=GND10_BUS[8..0]
    NamedSignal_GND11_BUS                <= "0000000"; -- ObjectKind=Net|PrimaryId=GND11_BUS[6..0]
    NamedSignal_GND12_BUS                <= "000000000"; -- ObjectKind=Net|PrimaryId=GND12_BUS[8..0]
    NamedSignal_GND2_BUS                 <= "00000000000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[10..0]
    NamedSignal_GND3_BUS                 <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND3_BUS[31..0]
    NamedSignal_GND4_BUS                 <= "000000000000000000"; -- ObjectKind=Net|PrimaryId=GND4_BUS[17..0]
    NamedSignal_GND5_BUS                 <= "00000000000"; -- ObjectKind=Net|PrimaryId=GND5_BUS[10..0]
    NamedSignal_GND6_BUS                 <= "0000000"; -- ObjectKind=Net|PrimaryId=GND6_BUS[6..0]
    NamedSignal_GND7_BUS                 <= "000000000"; -- ObjectKind=Net|PrimaryId=D[8..0]
    NamedSignal_GND8_BUS                 <= "000000"; -- ObjectKind=Net|PrimaryId=CNT[31..26]
    NamedSignal_GND9_BUS                 <= "0000000"; -- ObjectKind=Net|PrimaryId=GND9_BUS[6..0]
    NamedSignal_IMP                      <= "00000100000000000000000000000000"; -- ObjectKind=Net|PrimaryId=IMP[31..0]
    NamedSignal_JoinA_FPGADuoTone3_JB_C2 <= PinSignal_U116_Y; -- ObjectKind=Net|PrimaryId=NetU116_Y[15..0]
    NamedSignal_RECTANGLE(24 downto 9)   <= NamedSignal_JoinA_FPGADuoTone3_JB_C2;
    NamedSignal_RECTANGLE(31 downto 25)  <= NamedSignal_GND9_BUS;
    NamedSignal_RECTANGLE(8 downto 0)    <= NamedSignal_GND10_BUS; -- ObjectKind=Net|PrimaryId=GND10_BUS[8..0]
    NamedSignal_SELA                     <= "000"; -- ObjectKind=Net|PrimaryId=SELA[2..0]
    NamedSignal_SELB                     <= "001"; -- ObjectKind=Net|PrimaryId=SELB[2..0]
    NamedSignal_SHIFT                    <= PinSignal_U126_O; -- ObjectKind=Net|PrimaryId=SHIFT
    NamedSignal_SINE(24 downto 9)        <= NamedSignal_FA(27 downto 12);
    NamedSignal_SINE(31 downto 25)       <= NamedSignal_GND11_BUS;
    NamedSignal_SINE(8 downto 0)         <= NamedSignal_GND12_BUS; -- ObjectKind=Net|PrimaryId=GND12_BUS[8..0]
    NamedSignal_SINEWAVE                 <= PinSignal_U_SQWAVE_SINEWAVE; -- ObjectKind=Net|PrimaryId=SINEWAVE
    NamedSignal_SO                       <= PinSignal_U120_Q; -- ObjectKind=Net|PrimaryId=SO[31..0]
    NamedSignal_SQWAVE                   <= PinSignal_U_SQWAVE_SQWAVE; -- ObjectKind=Net|PrimaryId=SQWAVE
    PinSignal_U114_I                     <= NamedSignal_DCNT(25 downto 10); -- ObjectKind=Net|PrimaryId=DCNT[25..0]
    PinSignal_U118_A                     <= NamedSignal_FA(27 downto 12); -- ObjectKind=Net|PrimaryId=FA[27..0]
    PinSignal_U118_B                     <= NamedSignal_FB(27 downto 12); -- ObjectKind=Net|PrimaryId=FB[27..0]
    PowerSignal_GND                      <= '0'; -- ObjectKind=Net|PrimaryId=GND

End Structure;
------------------------------------------------------------

