------------------------------------------------------------
-- VHDL FPGADuoTone4
-- 2016 5 5 8 48 35
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGADuoTone4
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGADuoTone4 Is
  port
  (
    X_1PPS    : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=1PPS
    ACLK      : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=ACLK
    ACNV      : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=ACNV
    AIN       : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=AIN
    CFG_CLK   : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_CLK
    CFG_CS    : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_CS
    CFG_SI    : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_SI
    CFG_SO    : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_SO
    CLK       : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CLK
    CLKDAQ    : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=CLKDAQ[7..0]
    CLKDUO    : Out   STD_LOGIC_VECTOR(1 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=CLKDUO[1..0]
    CNT       : In    STD_LOGIC_VECTOR(25 DOWNTO 0);         -- ObjectKind=Port|PrimaryId=CNT[25..0]
    DI        : In    STD_LOGIC_VECTOR(5 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=DI[5..0]
    DO        : Out   STD_LOGIC_VECTOR(3 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=DO[3..0]
    FAIL      : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=FAIL
    LCD_RX    : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=LCD_RX
    LCD_TX    : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=LCD_TX
    RX        : In    STD_LOGIC_VECTOR(1 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=RX[1..0]
    S         : In    STD_LOGIC_VECTOR(1 TO 64);             -- ObjectKind=Port|PrimaryId=S[1..64]
    START     : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=START
    SW        : In    STD_LOGIC_VECTOR(10 DOWNTO 1);         -- ObjectKind=Port|PrimaryId=SW[10..1]
    TX        : Out   STD_LOGIC_VECTOR(1 DOWNTO 0);          -- ObjectKind=Port|PrimaryId=TX[1..0]
    VCXO_CTRL : Out   STD_LOGIC_VECTOR(15 DOWNTO 0)          -- ObjectKind=Port|PrimaryId=VCXO_CTRL[15..0]
  );
  attribute MacroCell : boolean;

End FPGADuoTone4;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGADuoTone4 Is
   Component AND2                                            -- ObjectKind=Part|PrimaryId=U144|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U144-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U144-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U144-O
      );
   End Component;

   Component AND3S                                           -- ObjectKind=Part|PrimaryId=U156|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U156-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U156-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U156-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U156-O
      );
   End Component;

   Component AND32B                                          -- ObjectKind=Part|PrimaryId=U145|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(31 downto 0);               -- ObjectKind=Pin|PrimaryId=U145-I[31..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U145-O
      );
   End Component;

   Component BUF                                             -- ObjectKind=Part|PrimaryId=U147|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U147-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U147-O
      );
   End Component;

   Component CB8RLES                                         -- ObjectKind=Part|PrimaryId=U141|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-CEO
        D0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-D0
        D1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-D1
        D2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-D2
        D3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-D3
        D4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-D4
        D5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-D5
        D6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-D6
        D7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-D7
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-L
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-Q3
        Q4  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-Q4
        Q5  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-Q5
        Q6  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-Q6
        Q7  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-Q7
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U141-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U141-TC
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U136|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U136-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U136-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U136-Q
      );
   End Component;

   Component FDC                                             -- ObjectKind=Part|PrimaryId=U130|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U130-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U130-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U130-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U130-Q
      );
   End Component;

   Component FDCE                                            -- ObjectKind=Part|PrimaryId=U146|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U146-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U146-CE
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U146-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U146-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U146-Q
      );
   End Component;

   Component FDCN                                            -- ObjectKind=Part|PrimaryId=U150|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U150-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U150-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U150-D
        Q   : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U150-Q
        QN  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U150-QN
      );
   End Component;

   Component FJKC                                            -- ObjectKind=Part|PrimaryId=U139|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U139-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U139-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U139-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U139-K
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U139-Q
      );
   End Component;

   Component FJKCN                                           -- ObjectKind=Part|PrimaryId=U138|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-K
        Q   : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U138-Q
        QN  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U138-QN
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U148|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U148-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U148-O
      );
   End Component;

   Component INV2B                                           -- ObjectKind=Part|PrimaryId=U129|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(1 downto 0);                -- ObjectKind=Pin|PrimaryId=U129-I[1..0]
        O : out STD_LOGIC_VECTOR(1 downto 0)                 -- ObjectKind=Pin|PrimaryId=U129-O[1..0]
      );
   End Component;

   Component J8S_8B                                          -- ObjectKind=Part|PrimaryId=U121|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I4
        I5 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I5
        I6 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I6
        I7 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I7
        O  : out STD_LOGIC_VECTOR(7 downto 0)                -- ObjectKind=Pin|PrimaryId=U121-O[7..0]
      );
   End Component;

   Component SR16REB                                         -- ObjectKind=Part|PrimaryId=U142|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U142-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U142-CE
        Q   : out STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U142-Q[15..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U142-R
        SLI : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U142-SLI
      );
   End Component;


    Signal NamedSignal_1PPS     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_ACLK     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal NamedSignal_CLK      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CLKDAQ   : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=CLKDAQ[7..0]
    Signal NamedSignal_CLKQ     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLKQ
    Signal NamedSignal_CLKQN    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLKQN
    Signal NamedSignal_CNT      : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_DCNT     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DCNT[31..26]
    Signal NamedSignal_DI       : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=DI[5..0]
    Signal NamedSignal_DO       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=DO[3..1]
    Signal NamedSignal_GND1_BUS : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=CLKDUO[1..0]
    Signal NamedSignal_GND2_BUS : STD_LOGIC_VECTOR(2 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[2..0]
    Signal NamedSignal_ON       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ON
    Signal NamedSignal_VCC1_BUS : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[5..0]
    Signal NamedSignal_VCC2_BUS : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=DCNT[7..0]
    Signal PinSignal_U121_O     : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=CLKDAQ[7..0]
    Signal PinSignal_U129_O     : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=TX[1..0]
    Signal PinSignal_U130_Q     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU130_Q
    Signal PinSignal_U136_Q     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU136_Q
    Signal PinSignal_U138_Q     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACNV
    Signal PinSignal_U138_QN    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU138_QN
    Signal PinSignal_U139_Q     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal PinSignal_U141_Q5    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU139_J
    Signal PinSignal_U141_TC    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU138_K
    Signal PinSignal_U142_Q     : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]
    Signal PinSignal_U144_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU144_O
    Signal PinSignal_U145_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_O
    Signal PinSignal_U146_Q     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DO0
    Signal PinSignal_U147_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DCNT8
    Signal PinSignal_U148_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU146_CLR
    Signal PinSignal_U150_Q     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLKQ
    Signal PinSignal_U150_QN    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLKQN
    Signal PinSignal_U151_Q     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ON
    Signal PinSignal_U152_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU121_I2
    Signal PinSignal_U153_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU121_I3
    Signal PinSignal_U155_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU151_CLR
    Signal PinSignal_U156_O     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU153_I
    Signal PowerSignal_GND      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U156 : AND3S                                             -- ObjectKind=Part|PrimaryId=U156|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLKQ,                              -- ObjectKind=Pin|PrimaryId=U156-I0
        I1 => NamedSignal_DO(0),                             -- ObjectKind=Pin|PrimaryId=U156-I1
        I2 => NamedSignal_ON,                                -- ObjectKind=Pin|PrimaryId=U156-I2
        O  => PinSignal_U156_O                               -- ObjectKind=Pin|PrimaryId=U156-O
      );

    U155 : INV                                               -- ObjectKind=Part|PrimaryId=U155|SecondaryId=1
      Port Map
      (
        I => NamedSignal_DI(0),                              -- ObjectKind=Pin|PrimaryId=U155-I
        O => PinSignal_U155_O                                -- ObjectKind=Pin|PrimaryId=U155-O
      );

    U153 : INV                                               -- ObjectKind=Part|PrimaryId=U153|SecondaryId=1
      Port Map
      (
        I => PinSignal_U156_O,                               -- ObjectKind=Pin|PrimaryId=U153-I
        O => PinSignal_U153_O                                -- ObjectKind=Pin|PrimaryId=U153-O
      );

    U152 : INV                                               -- ObjectKind=Part|PrimaryId=U152|SecondaryId=1
      Port Map
      (
        I => PinSignal_U144_O,                               -- ObjectKind=Pin|PrimaryId=U152-I
        O => PinSignal_U152_O                                -- ObjectKind=Pin|PrimaryId=U152-O
      );

    U151 : FDCE                                              -- ObjectKind=Part|PrimaryId=U151|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U151-C
        CE  => NamedSignal_1PPS,                             -- ObjectKind=Pin|PrimaryId=U151-CE
        CLR => PinSignal_U155_O,                             -- ObjectKind=Pin|PrimaryId=U151-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U151-D
        Q   => PinSignal_U151_Q                              -- ObjectKind=Pin|PrimaryId=U151-Q
      );

    U150 : FDCN                                              -- ObjectKind=Part|PrimaryId=U150|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U150-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U150-CLR
        D   => NamedSignal_CNT(9),                           -- ObjectKind=Pin|PrimaryId=U150-D
        Q   => PinSignal_U150_Q,                             -- ObjectKind=Pin|PrimaryId=U150-Q
        QN  => PinSignal_U150_QN                             -- ObjectKind=Pin|PrimaryId=U150-QN
      );

    U148 : INV                                               -- ObjectKind=Part|PrimaryId=U148|SecondaryId=1
      Port Map
      (
        I => NamedSignal_DI(0),                              -- ObjectKind=Pin|PrimaryId=U148-I
        O => PinSignal_U148_O                                -- ObjectKind=Pin|PrimaryId=U148-O
      );

    U147 : BUF                                               -- ObjectKind=Part|PrimaryId=U147|SecondaryId=1
      Port Map
      (
        I => NamedSignal_CNT(8),                             -- ObjectKind=Pin|PrimaryId=U147-I
        O => PinSignal_U147_O                                -- ObjectKind=Pin|PrimaryId=U147-O
      );

    U146 : FDCE                                              -- ObjectKind=Part|PrimaryId=U146|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U146-C
        CE  => PinSignal_U145_O,                             -- ObjectKind=Pin|PrimaryId=U146-CE
        CLR => PinSignal_U148_O,                             -- ObjectKind=Pin|PrimaryId=U146-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U146-D
        Q   => PinSignal_U146_Q                              -- ObjectKind=Pin|PrimaryId=U146-Q
      );

    U145 : AND32B                                            -- ObjectKind=Part|PrimaryId=U145|SecondaryId=1
      Port Map
      (
        I => NamedSignal_DCNT,                               -- ObjectKind=Pin|PrimaryId=U145-I[31..0]
        O => PinSignal_U145_O                                -- ObjectKind=Pin|PrimaryId=U145-O
      );

    U144 : AND2                                              -- ObjectKind=Part|PrimaryId=U144|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLKQN,                             -- ObjectKind=Pin|PrimaryId=U144-I0
        I1 => NamedSignal_DO(0),                             -- ObjectKind=Pin|PrimaryId=U144-I1
        O  => PinSignal_U144_O                               -- ObjectKind=Pin|PrimaryId=U144-O
      );

    U142 : SR16REB                                           -- ObjectKind=Part|PrimaryId=U142|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_ACLK,                             -- ObjectKind=Pin|PrimaryId=U142-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U142-CE
        Q   => PinSignal_U142_Q,                             -- ObjectKind=Pin|PrimaryId=U142-Q[15..0]
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U142-R
        SLI => AIN                                           -- ObjectKind=Pin|PrimaryId=U142-SLI
      );

    U141 : CB8RLES                                           -- ObjectKind=Part|PrimaryId=U141|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CNT(5),                            -- ObjectKind=Pin|PrimaryId=U141-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U141-CE
        D0 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U141-D0
        D1 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U141-D1
        D2 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U141-D2
        D3 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U141-D3
        D4 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U141-D4
        D5 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U141-D5
        D6 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U141-D6
        D7 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U141-D7
        L  => PinSignal_U138_QN,                             -- ObjectKind=Pin|PrimaryId=U141-L
        Q5 => PinSignal_U141_Q5,                             -- ObjectKind=Pin|PrimaryId=U141-Q5
        R  => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U141-R
        TC => PinSignal_U141_TC                              -- ObjectKind=Pin|PrimaryId=U141-TC
      );

    U139 : FJKC                                              -- ObjectKind=Part|PrimaryId=U139|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CNT(5),                           -- ObjectKind=Pin|PrimaryId=U139-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U139-CLR
        J   => PinSignal_U141_Q5,                            -- ObjectKind=Pin|PrimaryId=U139-J
        K   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U139-K
        Q   => PinSignal_U139_Q                              -- ObjectKind=Pin|PrimaryId=U139-Q
      );

    U138 : FJKCN                                             -- ObjectKind=Part|PrimaryId=U138|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CNT(5),                           -- ObjectKind=Pin|PrimaryId=U138-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U138-CLR
        J   => PinSignal_U136_Q,                             -- ObjectKind=Pin|PrimaryId=U138-J
        K   => PinSignal_U141_TC,                            -- ObjectKind=Pin|PrimaryId=U138-K
        Q   => PinSignal_U138_Q,                             -- ObjectKind=Pin|PrimaryId=U138-Q
        QN  => PinSignal_U138_QN                             -- ObjectKind=Pin|PrimaryId=U138-QN
      );

    U136 : FD                                                -- ObjectKind=Part|PrimaryId=U136|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CNT(5),                             -- ObjectKind=Pin|PrimaryId=U136-C
        D => PinSignal_U130_Q,                               -- ObjectKind=Pin|PrimaryId=U136-D
        Q => PinSignal_U136_Q                                -- ObjectKind=Pin|PrimaryId=U136-Q
      );

    U130 : FDC                                               -- ObjectKind=Part|PrimaryId=U130|SecondaryId=1
      Port Map
      (
        C   => START,                                        -- ObjectKind=Pin|PrimaryId=U130-C
        CLR => PinSignal_U138_Q,                             -- ObjectKind=Pin|PrimaryId=U130-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U130-D
        Q   => PinSignal_U130_Q                              -- ObjectKind=Pin|PrimaryId=U130-Q
      );

    U129 : INV2B                                             -- ObjectKind=Part|PrimaryId=U129|SecondaryId=1
      Port Map
      (
        I => RX,                                             -- ObjectKind=Pin|PrimaryId=U129-I[1..0]
        O => PinSignal_U129_O                                -- ObjectKind=Pin|PrimaryId=U129-O[1..0]
      );

    U121 : J8S_8B                                            -- ObjectKind=Part|PrimaryId=U121|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLKQ,                              -- ObjectKind=Pin|PrimaryId=U121-I0
        I1 => NamedSignal_CLKQN,                             -- ObjectKind=Pin|PrimaryId=U121-I1
        I2 => PinSignal_U152_O,                              -- ObjectKind=Pin|PrimaryId=U121-I2
        I3 => PinSignal_U153_O,                              -- ObjectKind=Pin|PrimaryId=U121-I3
        I4 => NamedSignal_CLKQ,                              -- ObjectKind=Pin|PrimaryId=U121-I4
        I5 => NamedSignal_CLKQN,                             -- ObjectKind=Pin|PrimaryId=U121-I5
        I6 => PinSignal_U152_O,                              -- ObjectKind=Pin|PrimaryId=U121-I6
        I7 => PinSignal_U153_O,                              -- ObjectKind=Pin|PrimaryId=U121-I7
        O  => PinSignal_U121_O                               -- ObjectKind=Pin|PrimaryId=U121-O[7..0]
      );

    -- Signal Assignments
    ---------------------
    ACLK                           <= NamedSignal_ACLK; -- ObjectKind=Net|PrimaryId=ACLK
    ACNV                           <= PinSignal_U138_Q; -- ObjectKind=Net|PrimaryId=ACNV
    CFG_CLK                        <= CFG_SI; -- ObjectKind=Net|PrimaryId=N000-1
    CFG_CS                         <= CFG_SI; -- ObjectKind=Net|PrimaryId=N000-1
    CFG_SO                         <= CFG_SI; -- ObjectKind=Net|PrimaryId=N000-1
    CLKDAQ                         <= NamedSignal_CLKDAQ; -- ObjectKind=Net|PrimaryId=CLKDAQ[7..0]
    CLKDUO                         <= NamedSignal_GND1_BUS; -- ObjectKind=Net|PrimaryId=CLKDUO[1..0]
    DO                             <= NamedSignal_DO; -- ObjectKind=Net|PrimaryId=DO[3..0]
    FAIL                           <= CFG_SI; -- ObjectKind=Net|PrimaryId=N000-1
    LCD_TX                         <= LCD_RX; -- ObjectKind=Net|PrimaryId=LCD_RX
    NamedSignal_1PPS               <= X_1PPS; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_ACLK               <= PinSignal_U139_Q; -- ObjectKind=Net|PrimaryId=ACLK
    NamedSignal_CLK                <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CLKDAQ             <= PinSignal_U121_O; -- ObjectKind=Net|PrimaryId=CLKDAQ[7..0]
    NamedSignal_CLKQ               <= PinSignal_U150_Q; -- ObjectKind=Net|PrimaryId=CLKQ
    NamedSignal_CLKQN              <= PinSignal_U150_QN; -- ObjectKind=Net|PrimaryId=CLKQN
    NamedSignal_CNT                <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_DCNT(25 downto 9)  <= NamedSignal_CNT(25 downto 9); -- ObjectKind=Net|PrimaryId=CNT[25..9]
    NamedSignal_DCNT(31 downto 26) <= NamedSignal_VCC1_BUS;
    NamedSignal_DCNT(7 downto 0)   <= NamedSignal_VCC2_BUS; -- ObjectKind=Net|PrimaryId=DCNT[7..0]
    NamedSignal_DCNT(8)            <= PinSignal_U147_O; -- ObjectKind=Net|PrimaryId=DCNT8
    NamedSignal_DI                 <= DI; -- ObjectKind=Net|PrimaryId=DI[5..0]
    NamedSignal_DO(0)              <= PinSignal_U146_Q; -- ObjectKind=Net|PrimaryId=DO0
    NamedSignal_DO(3 downto 1)     <= NamedSignal_GND2_BUS;
    NamedSignal_GND1_BUS           <= "00"; -- ObjectKind=Net|PrimaryId=CLKDUO[1..0]
    NamedSignal_GND2_BUS           <= "000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[2..0]
    NamedSignal_ON                 <= PinSignal_U151_Q; -- ObjectKind=Net|PrimaryId=ON
    NamedSignal_VCC1_BUS           <= "111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[5..0]
    NamedSignal_VCC2_BUS           <= "11111111"; -- ObjectKind=Net|PrimaryId=DCNT[7..0]
    PowerSignal_GND                <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC                <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    TX                             <= PinSignal_U129_O; -- ObjectKind=Net|PrimaryId=TX[1..0]
    VCXO_CTRL                      <= PinSignal_U142_Q; -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]

End Structure;
------------------------------------------------------------

