--------------------------------------------------------------------------------
-- SubModule Reg18
-- Created   4/10/2005 6:07:36 PM
--------------------------------------------------------------------------------
library IEEE;
use IEEE.Std_Logic_1164.all;

entity Reg18 is port
   (
     a        : in    std_logic_vector(17 downto 0);
     b        : out   std_logic_vector(17 downto 0);
     CLK      : in    std_logic;
     CE       : in    std_logic
   );
end Reg18;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
architecture RTL of Reg18 is

begin
   reg: process (CLK, CE) is
   begin
      if rising_edge (CLK) then
         if CE = '1' then
            b <= a;
         end if;
      end if;
   end process reg;
end architecture RTL;
--------------------------------------------------------------------------------
